SET client_encoding = 'WIN1251';

ALTER TABLE "Tepl"."Task_cnt" ADD COLUMN "DateStart" timestamp with time zone;
COMMENT ON COLUMN "Tepl"."Task_cnt"."DateStart" IS '  ';

ALTER TABLE "Tepl"."Task_cnt" ADD COLUMN "Period" integer;
COMMENT ON COLUMN "Tepl"."Task_cnt"."Period" IS ' ';

ALTER TABLE "Tepl"."Task_cnt" ADD COLUMN "MagnetTest" integer;
COMMENT ON COLUMN "Tepl"."Task_cnt"."MagnetTest" IS ' ';


UPDATE "Tepl"."Task_cnt"
   SET "DateStart"=to_timestamp("tsk_Parametr", 'MM/DD/YYYY')  
WHERE tsk_typ<>1;


UPDATE "Tepl"."Task_cnt"
   SET "Period"=CAST("tsk_Parametr" as integer) ,"DateStart"=now()::date
WHERE tsk_typ=1;


UPDATE "Tepl"."Task_cnt"
   SET "MagnetTest"=0;


DROP FUNCTION "Tepl"."GetTaskPlc"(text);

CREATE OR REPLACE FUNCTION "Tepl"."GetTaskPlc"(pplc_id text)
  RETURNS SETOF "Tepl"."Task_cnt"  AS
$BODY$
/*     */
declare
  plcs INTEGER[];
  tsk  "Tepl"."Task_cnt"; 
Begin
  plcs="Tepl"."fArr"($1);
  FOR tsk in SELECT  "Tepl"."Task_cnt".*

			FROM
  				"Tepl"."ParamResPlc_cnt"
  			INNER JOIN "Tepl"."Task_cnt" ON ("Tepl"."ParamResPlc_cnt".prp_id = "Tepl"."Task_cnt".prp_id)
 			INNER JOIN "Tepl"."Places_cnt" ON ("Tepl"."ParamResPlc_cnt".plc_id = "Tepl"."Places_cnt".plc_id)
			Where 
				("Tepl"."Places_cnt".plc_id=ANY(plcs))
			Order by "Tepl"."ParamResPlc_cnt".prp_id
        Loop
      return NEXT tsk;
   end loop;         
  
end;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."GetTaskPlc"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetTaskPlc"(text) IS '   ';


-- Function: "Tepl"."GetTask"(text, boolean)

 DROP FUNCTION "Tepl"."GetTask"(text, boolean);

CREATE OR REPLACE FUNCTION "Tepl"."GetTask"(ptsk_typ text, "pAktiv_tsk" boolean)
  RETURNS SETOF "Tepl"."Task_cnt" AS
$BODY$
/*  */
/*TRUE-    */
Declare
  tsk "Tepl"."Task_cnt";
  tps INTEGER[];
begin
  tps="Tepl"."fArr"($1);
  FOR tsk in SELECT 
  				"Tepl"."Task_cnt".*
			FROM
  				"Tepl"."Task_cnt" 
			Where ("tsk_typ"=ANY(tps))AND("Aktiv_tsk"=$2)
			Order by "tsk_Parametr"
        Loop
      return next tsk;
   end loop;         
  
end;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."GetTask"(text, boolean)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetTask"(text, boolean) IS '  () .  ';



CREATE OR REPLACE FUNCTION "Tepl"."InsertTask"(pprp_id text, ptsk_typ text, "ptsk_Parametr" text, "pAktiv_tsk" text, "pDateStart" text, "pPeriod" text, "pMagnetTest" text)
  RETURNS text AS
$BODY$
DECLARE
  i integer;
  n integer;
  maxp integer;  
  ret text; 
  Aktiv_tsks INTEGER[];
  tsk_typs INTEGER[];  
  tsk_Parametrs text[]; 
  prp_ids INTEGER[];  
  DateStarts timestamp without time zone[];
  Periods integer[];
  MagnetTests integer[];
  act bool;
  
BEGIN
  tsk_typs="Tepl"."fArr"($2);
  n:=array_upper(tsk_typs,1);   
  ret:='{';     
  if (n>0) THEN
    maxp:=(SELECT   max("tsk_id") from "Tepl"."Task_cnt")+1;  
    IF maxp IS NULL THEN
		maxp := 1;
	END IF;
    prp_ids="Tepl"."fArr"($1);
    tsk_Parametrs="Tepl"."fArrText"($3); 
    Aktiv_tsks="Tepl"."fArr"($4); 
    DateStarts="Tepl"."farrTime"($5);
    Periods="Tepl"."fArr"($6);
    MagnetTests="Tepl"."fArr"($7);
    
    FOR i in 1..n Loop      
       act:=Aktiv_tsks[i]=1;
       
       if(tsk_typs[i]=1) then 
		INSERT INTO "Tepl"."Task_cnt"
		(tsk_id,prp_id,tsk_typ,"Period",tsk_owner,"Aktiv_tsk","MagnetTest")
		VALUES
		(maxp,prp_ids[i],tsk_typs[i],Periods[i],0,act,MagnetTests[i]);    
       end if;
       
       if((tsk_typs[i]=2)or(tsk_typs[i]=3)or(tsk_typs[i]=4)or(tsk_typs[i]=5)or(tsk_typs[i]=6)) then		
		INSERT INTO "Tepl"."Task_cnt"
		(tsk_id,prp_id,tsk_typ,"DateStart",tsk_owner,"Aktiv_tsk","MagnetTest")
		VALUES
		(maxp,prp_ids[i],tsk_typs[i],DateStarts[i],0,act,MagnetTests[i]);    
       end if;
       
      ret:=ret||maxp;
      if i<n then 
        ret=ret||',';
      end if;
      maxp:=maxp+1;
    end Loop;    
  end IF;         
  ret:=ret||'}';
  return ret;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."InsertTask"(text, text, text, text,text, text, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."InsertTask"(text, text, text, text,text, text, text) IS ' ';




CREATE OR REPLACE FUNCTION "Tepl"."UpdateTask"(ptsk_id text, "ptsk_Parametr" text, "pActiv_tsk" text,"pDateStart" text, "pPeriod" text, "pMagnetTest" text)
  RETURNS boolean AS
$BODY$
DECLARE
  tsk_ids INTEGER[];
  tsk_Parametrs text[];  
  Activ_tsks  INTEGER[]; 
  i INTEGER;
  n INTEGER;      
  DateStarts timestamp without time zone[];
  Periods integer[];
  MagnetTests integer[];
  act bool;
BEGIN
 tsk_ids="Tepl"."fArr"($1); 
 n:=array_upper(tsk_ids,1);
 if n>0 THEN
   tsk_Parametrs="Tepl"."fArrText"($2);
   Activ_tsks="Tepl"."fArr"($3);
   DateStarts="Tepl"."farrTime"($4);
   Periods="Tepl"."fArr"($5);
   MagnetTests="Tepl"."fArr"($6);
   
   FOR i in 1..n Loop  
     act:=Activ_tsks[i]=1; 
     Update "Tepl"."Task_cnt" 
     SET "tsk_Parametr"=tsk_Parametrs[i],"Aktiv_tsk"=act ,"DateStart"=DateStarts[i], "Period"=Periods[i], "MagnetTest"=MagnetTests[i]
     where tsk_id=tsk_ids[i];
   end loop;
 end if;  
 return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."UpdateTask"(text, text, text,text, text, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."UpdateTask"(text, text, text, text, text, text) IS ' ';



CREATE OR REPLACE FUNCTION "Tepl"."DeleteArhivs"(ppr_id text, ptyp_arh text, "pDate1" timestamp without time zone, "pDate2" timestamp without time zone)
  RETURNS boolean AS
$BODY$
DECLARE
prs integer[];
typ_arhs INTEGER[];
BEGIN
 prs="Tepl"."fArr"($1); 
 typ_arhs="Tepl"."fArr"($2);
 Delete FROM "Tepl"."Arhiv_cnt" 
 Where (("pr_id"=ANY(prs))OR(prs[1]=-1))
 		AND(("typ_arh"=ANY(typ_arhs))OR(typ_arhs[1]=-1))
 		AND("DateValue">=$3)AND("DateValue"<=$4);


DELETE FROM "Tepl"."DeviceContingencyArhiv_cnt"
 WHERE   ((typ_arh =ANY(typ_arhs))or(typ_arhs[1]=-1))
	AND( pr_id = ANY(prs))
	AND(time_start>=$3) AND(time_end<=$4);
 		
 return true; 
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."DeleteArhivs"(text, text, timestamp without time zone, timestamp without time zone)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteArhivs"(text, text, timestamp without time zone, timestamp without time zone) IS ' ';



-- Function: "Tepl"."DeleteParemResPlc"(text)

-- DROP FUNCTION "Tepl"."DeleteParemResPlc"(text);

CREATE OR REPLACE FUNCTION "Tepl"."DeleteParemResPlc"(pprp_id text)
  RETURNS boolean AS
$BODY$
DECLARE
 sens "Tepl"."Sensor_cnt"%ROWTYPE;
 delsen Text; 
 prs integer[];
BEGIN
  prs="Tepl"."fArr"($1);
  /*   */
  DELETE FROM "Tepl"."Arhiv_cnt"
  Where "pr_id"=ANY(prs);
  /*       */  
  DELETE FROM "Tepl"."DeviceContingencyArhiv_cnt"
  Where "pr_id"=ANY(prs);
  /*     */
  DELETE FROM "Tepl"."Task_cnt"
  Where "prp_id"=ANY(prs);                                                   
  /*     */
  DELETE FROM "Tepl"."TaskArhivUSPD_cnt"
  Where "prp_id"=ANY(prs);  
  /*      */
  Delete From "Tepl"."EventTab"
  Where "prp_id"=ANY(prs);
  /*      */
  DELETE FROM "Tepl"."PointRead"
  Where "prp_id"=ANY(prs);
  /*    */
  DELETE FROM "Tepl"."ParamResGroupRelations"
  Where "prp_id"=ANY(prs);  
  /*     */          
  FOR sens in Select * From "Tepl"."Sensor_cnt" where "prp_id"=ANY(prs) Loop
    Delete From "Tepl"."Sensor_Property"
    WHERE "s_id"=sens."s_id";    
  end Loop;
  /*     */    
  DELETE FROM "Tepl"."Sensor_cnt"
  Where "prp_id"=ANY(prs);
  
  Delete From "Tepl"."RangesToParam" where  prp_id=ANY(prs);

 /*   */
  Delete From "Tepl"."DeviceContingencyArhiv_cnt" where pr_id=ANY(prs);
  
  /*  */
  Delete From "Tepl"."ParamResPlc_cnt"
  WHERE "prp_id"=ANY(prs); 
	
   return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."DeleteParemResPlc"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteParemResPlc"(text) IS '  ';


