SET client_encoding = 'WIN1251';

CREATE SEQUENCE "Tepl"."DeviceTimeDiff_id_seq"
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 462
  CACHE 1;
ALTER TABLE "Tepl"."DeviceTimeDiff_id_seq"
  OWNER TO postgres;

DROP TABLE "Tepl"."DeviceTimeDiff";

CREATE TABLE "Tepl"."DeviceTimeDiff"
(
  dev_id integer NOT NULL, -- id   Device_cnt
  dev_time timestamp(0) without time zone, --  
  server_time timestamp(0) without time zone, --  
  id integer NOT NULL DEFAULT nextval('"Tepl"."DeviceTimeDiff_id_seq"'::regclass),
  CONSTRAINT "DeviceTimeDiff_pkey" PRIMARY KEY (id )
)
WITH (
  OIDS=FALSE
);
ALTER TABLE "Tepl"."DeviceTimeDiff"
  OWNER TO postgres;
COMMENT ON COLUMN "Tepl"."DeviceTimeDiff".dev_id IS 'id   Device_cnt';
ALTER TABLE "Tepl"."DeviceTimeDiff" ALTER COLUMN dev_id SET STATISTICS 0;
COMMENT ON COLUMN "Tepl"."DeviceTimeDiff".dev_time IS ' ';
ALTER TABLE "Tepl"."DeviceTimeDiff" ALTER COLUMN dev_time SET STATISTICS 0;
COMMENT ON COLUMN "Tepl"."DeviceTimeDiff".server_time IS ' ';
ALTER TABLE "Tepl"."DeviceTimeDiff" ALTER COLUMN server_time SET STATISTICS 0;


DROP FUNCTION "Tepl"."InsertDeviceTimeDiff"(integer, timestamp without time zone, timestamp without time zone);

CREATE OR REPLACE FUNCTION "Tepl"."InsertDeviceTimeDiff"(pdev_id integer, pdev_time timestamp without time zone, pserver_time timestamp without time zone)
  RETURNS void AS
$BODY$
insert into "Tepl"."DeviceTimeDiff" ("dev_id","dev_time","server_time") Values ($1,$2,$3);
$BODY$
  LANGUAGE sql VOLATILE;
ALTER FUNCTION "Tepl"."InsertDeviceTimeDiff"(integer, timestamp without time zone, timestamp without time zone)
  OWNER TO postgres;
