SET client_encoding = 'WIN1251';

--   --

CREATE OR REPLACE FUNCTION "Tepl"."GetSupportedData"(place_id integer, res_id integer, param_id integer)
  RETURNS integer AS
$BODY$DECLARE
  mask INTEGER;
  i INTEGER;
BEGIN
  mask = 0;
  /*    */
  IF (($2 < 0) AND ($3 < 0)) THEN
    FOR i IN SELECT plc_id AS "id"
	FROM "Tepl"."Places_cnt" ppc_tbl
	WHERE (ppc_tbl.place_id = $1) LOOP
      mask = mask | "Tepl"."GetSupportedData"(i, -1, -1);
    END LOOP;
  END IF;
  /*   */
  FOR i IN SELECT "SupportData" AS "data"
	FROM "Tepl"."DeviceTypeParametr" dtp_tbl
	RIGHT JOIN (
		SELECT pr_tbl.pr_typ_id AS "id"
		FROM "Tepl"."ParamResPlc_cnt" prp_tbl
		LEFT JOIN "Tepl"."ParametrResourse" prr_tbl ON prr_tbl."ParamRes_id" = prp_tbl."ParamRes_id"
		LEFT JOIN "Tepl"."PointRead" pr_tbl ON prp_tbl.prp_id = pr_tbl.prp_id /*   */
		WHERE   (prp_tbl.plc_id = $1) AND 			/*  */
			(($2 < 0) OR (prr_tbl.res_id = $2)) AND 	/*  */
			(($3 < 0) OR (prp_tbl.prp_id = $3))		/*  */
		) tmp_tbl ON dtp_tbl.pr_typ_id = tmp_tbl.id
	GROUP BY "data" LOOP
    IF (i IS NOT NULL) THEN
      mask = mask | i;
    END IF;
  END LOOP;
  RETURN mask;
END;$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 500;
ALTER FUNCTION "Tepl"."GetSupportedData"(integer, integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetSupportedData"(integer, integer, integer) IS '      ,   ';
