SET client_encoding = 'UTF-8';

--ТИПЫ ОБЪЕКТОВ УЧЕТА--

ALTER TABLE "Tepl"."PlaceTyp_cnt"
   ADD COLUMN icon text;
COMMENT ON COLUMN "Tepl"."PlaceTyp_cnt".icon IS 'Хранит миниатюру типа объекта';


DROP FUNCTION "Tepl"."GetTypePlc"();
CREATE OR REPLACE FUNCTION "Tepl"."GetTypePlc"()
  RETURNS TABLE(id integer, name text, comment text, icon text) AS
$BODY$SELECT  "Tepl"."PlaceTyp_cnt"."typ_id", "Tepl"."PlaceTyp_cnt"."Name","Tepl"."PlaceTyp_cnt"."Comment","Tepl"."PlaceTyp_cnt"."icon"
FROM "Tepl"."PlaceTyp_cnt"
ORDER BY "Tepl"."PlaceTyp_cnt"."Name"$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetTypePlc"()
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetTypePlc"() IS 'Список типов объектов';


DROP FUNCTION "Tepl"."IsertPlaceTyp"(text, text);
CREATE OR REPLACE FUNCTION "Tepl"."IsertPlaceTyp"(pname text, pcomment text, icon text)
  RETURNS integer AS
$BODY$
DECLARE
  maxp integer;   
  n integer;          
  i integer;  
BEGIN
	/*Вставляем тип места*/
   maxp:=(SELECT   max("typ_id") from "Tepl"."PlaceTyp_cnt")+1;  
   IF maxp IS NULL THEN
	maxp := 1;
   END IF;
   Insert into "Tepl"."PlaceTyp_cnt"
   ("typ_id","Name","Comment","icon")
   VALUES
   (maxp,$1,$2,$3);  
   return maxp;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."IsertPlaceTyp"(text, text,  text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."IsertPlaceTyp"(text, text,  text) IS 'Вставка нового типа места
pName - имя места
...
pNameProp - Массив имен свойств типа места
...
pDefaultProp - Массив значение свойств по умолчанию';


DROP FUNCTION "Tepl"."UpdatePlaceType"(integer, text, text);
CREATE OR REPLACE FUNCTION "Tepl"."UpdatePlaceType"(ptyp_id integer, pname text, pcomment text, icon text)
  RETURNS boolean AS
$BODY$
DECLARE
  
BEGIN
  Update "Tepl"."PlaceTyp_cnt" 
  SET "Name"=$2, "Comment"=$3, "icon"=$4
  Where
  (typ_id=$1);
  return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."UpdatePlaceType"(integer, text, text, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."UpdatePlaceType"(integer, text, text, text) IS 'изменение типа места';

--ТИПЫ РЕСУРСОВ--

ALTER TABLE "Tepl"."Resourse_cnt"
   ADD COLUMN icon text;
COMMENT ON COLUMN "Tepl"."Resourse_cnt".icon IS 'Хранит миниатюру типа ресурса';


DROP FUNCTION "Tepl"."GetTypeParametrResourse"(integer, text);
CREATE OR REPLACE FUNCTION "Tepl"."GetTypeParametrResourse"(pres_id integer, pnamegroup text)
  RETURNS TABLE(ParamRes_id INTEGER, Name TEXT, Comment TEXT, Mes_id INTEGER, res_id INTEGER, defaultMesment_id INTEGER,
NameGroup TEXT, ColorParametr INTEGER, lim_id INTEGER, NameResourse TEXT, NameMesure TEXT, NameMeasurement TEXT, icon TEXT) AS
$BODY$
SELECT "Tepl"."ParametrResourse"."ParamRes_id", "Tepl"."ParametrResourse"."Name" ,
"Tepl"."ParametrResourse"."Comment" ,"Tepl"."ParametrResourse"."Mes_id" ,
"Tepl"."ParametrResourse"."res_id" , "Tepl"."ParametrResourse"."defaultMesment_id" ,
 "Tepl"."ParametrResourse"."NameGroup" , "Tepl"."ParametrResourse"."ColorParametr" ,
  "Tepl"."ParametrResourse"."lim_id" ,"Tepl"."Resourse_cnt"."Name", 
  "Tepl"."Mesure_cnt"."Name", "Tepl"."Measurement_cnt"."Name", "Tepl"."Resourse_cnt"."icon"
From 
"Tepl"."ParametrResourse", "Tepl"."Resourse_cnt",  "Tepl"."Mesure_cnt", "Tepl"."Measurement_cnt"
Where 
("Tepl"."ParametrResourse"."res_id"="Tepl"."Resourse_cnt"."res_id")
AND
("Tepl"."ParametrResourse"."Mes_id"= "Tepl"."Mesure_cnt"."Mes_id")
AND
("Tepl"."ParametrResourse"."defaultMesment_id"="Tepl"."Measurement_cnt"."mesment_id")
And
(("Tepl"."Resourse_cnt"."res_id"=$1)OR($1=-1))
And
(("Tepl"."ParametrResourse"."NameGroup"=$2)OR($2=''))
Order by 
"Tepl"."Resourse_cnt"."Name", "Tepl"."ParametrResourse"."NameGroup", "Tepl"."ParametrResourse"."Name"
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetTypeParametrResourse"(integer, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetTypeParametrResourse"(integer, text) IS 'Получает типы ресурсов с группами
pres_id = -1  - идентификатор ресурса, может быть -1, тогда все
pNameGroup='''' - имя группы, может быть пустой, тогда все';


DROP FUNCTION IF EXISTS "Tepl"."UpdateResourse"(text, text, integer);
CREATE OR REPLACE FUNCTION "Tepl"."UpdateResourse"("pName" text, "pComment" text, pres_id integer, icon text)
  RETURNS boolean AS
$BODY$
DECLARE
BEGIN
 	UPDATE "Tepl"."Resourse_cnt"  
	SET "Name" = $1, "Comment" = $2, "icon" = $4
	WHERE res_id = $3;
 RETURN true;       

END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."UpdateResourse"(text, text, integer, text)
  OWNER TO postgres;