SET client_encoding = 'UTF-8';

CREATE OR REPLACE FUNCTION "Tepl"."DeleteDeviceTimeDiff"(min_time timestamp without time zone)
  RETURNS boolean AS
$BODY$DECLARE
  i INTEGER;
  k INTEGER;
BEGIN
  k = NULL;
  FOR i IN SELECT id
	FROM "Tepl"."DeviceTimeDiff"
	WHERE (server_time > $1)
	LIMIT 1 LOOP
    k = i;
  END LOOP;
  IF (k IS NOT NULL) THEN
    DELETE FROM "Tepl"."DeviceTimeDiff"
    WHERE (id < k);
    RETURN TRUE;
  END IF;
  RETURN FALSE;
END;$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."DeleteDeviceTimeDiff"(timestamp without time zone)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteDeviceTimeDiff"(timestamp without time zone) IS '”дал¤ет все записи до указанной даты';

--ЗАБЫТАЯ ФУНКЦИЯ

CREATE OR REPLACE FUNCTION "Tepl"."GetTaskUSPDPlc"(pplc_id text)
  RETURNS SETOF "Tepl"."TTask" AS
$BODY$
/*массив свойств для которых возвращать задания*/
declare
  plcs INTEGER[];
  tsk  "Tepl"."TTask";
Begin
  plcs="Tepl"."fArr"($1);
  FOR tsk in SELECT 
  				"Tepl"."TaskArhivUSPD_cnt".tsk_id,
  				"Tepl"."ParamResPlc_cnt".prp_id,     /*id параметра ресурса*/
  				"Tepl"."TaskArhivUSPD_cnt".tsk_typ,
  				"Tepl"."TaskArhivUSPD_cnt"."tsk_Parametr",
  				"Tepl"."TaskArhivUSPD_cnt".tsk_owner,
  				"Tepl"."TaskArhivUSPD_cnt"."Aktiv_tsk" 
			FROM
  				"Tepl"."ParamResPlc_cnt"
  			INNER JOIN "Tepl"."TaskArhivUSPD_cnt" ON ("Tepl"."ParamResPlc_cnt".prp_id = "Tepl"."TaskArhivUSPD_cnt".prp_id)
 			INNER JOIN "Tepl"."Places_cnt" ON ("Tepl"."ParamResPlc_cnt".plc_id = "Tepl"."Places_cnt".plc_id)
			Where 
				("Tepl"."Places_cnt".plc_id=ANY(plcs))
			Order by "Tepl"."ParamResPlc_cnt".prp_id
        Loop
      return NEXT tsk;
   end loop;         
  
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetTaskUSPDPlc"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetTaskUSPDPlc"(text) IS 'Получение заданий на флеш УСПД для мест';