SET client_encoding = 'UTF-8';

CREATE OR REPLACE FUNCTION "Tepl"."GetSupportedData"(place_id integer, res_id integer, param_id integer)
  RETURNS integer AS
$BODY$DECLARE
  mask INTEGER;
  i INTEGER;
BEGIN
  mask = 0;
  FOR i IN SELECT "SupportData" AS "data"
	FROM "Tepl"."DeviceTypeParametr" dtp_tbl
	RIGHT JOIN (
		SELECT pr_tbl.pr_typ_id AS "id"
		FROM "Tepl"."ParamResPlc_cnt" prp_tbl
		LEFT JOIN "Tepl"."ParametrResourse" prr_tbl ON prr_tbl."ParamRes_id" = prp_tbl."ParamRes_id"
		LEFT JOIN "Tepl"."PointRead" pr_tbl ON prp_tbl.prp_id = pr_tbl.prp_id -- Для связывания с устройством
		
		LEFT JOIN "Tepl"."Places_cnt" plc ON plc.plc_id=prp_tbl.plc_id 
		LEFT JOIN "Tepl"."Places_cnt" plcparent ON plcparent.plc_id=plc.place_id or plcparent.plc_id=prp_tbl.plc_id
		LEFT JOIN "Tepl"."Places_cnt" plcparent2 ON plcparent2.plc_id=plcparent.place_id or plcparent2.plc_id=prp_tbl.plc_id
		
		WHERE   
		-- Места
		  ((plcparent2.plc_id = $1) 
		  or
		  (plcparent.plc_id = $1) 
		  or
		  (plc.plc_id = $1))
		AND 			 
			(($2 < 0) OR (prr_tbl.res_id = $2)) AND 	-- Ресурс 
			(($3 < 0) OR (prp_tbl.prp_id = $3))		-- Параметр 
		group by "id"	
		) tmp_tbl ON dtp_tbl.pr_typ_id = tmp_tbl.id
	GROUP BY "data" LOOP
    IF (i IS NOT NULL) THEN
      mask = mask | i;
    END IF;
  END LOOP;
  
  RETURN mask;
END;$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 500;
ALTER FUNCTION "Tepl"."GetSupportedData"(integer, integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetSupportedData"(integer, integer, integer) IS 'Возвращает битовую маску поддерживаемых архиваций отностиельно места, ресурса или параметра';
