SET client_encoding = 'UTF8';




ALTER TYPE "Tepl"."TResParamPlc"
ADD ATTRIBUTE plc_id INTEGER;


-- Function: "Tepl"."GetConfigConnect"(integer)

-- DROP FUNCTION "Tepl"."GetConfigConnect"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetConfigConnect"(pcon_id integer)
  RETURNS SETOF "Tepl"."TResParamPlc" AS
$BODY$
SELECT 
  "Tepl"."Connect_cnt_Config"."Conf_id",  /*id конфигурации*/
  "Tepl"."Connect_cnt_Config"."Name",     /*Имя конфигурации*/
  "Tepl"."Connect_cnt_Config"."Comment",  /*Комментарий конфигурации*/
  "Tepl"."TypePropertyConnect"."Name",    /*Имя свойства*/
  "Tepl"."ProperConnect_cnt"."ValueProp", /*Значение свойства*/
  "Tepl"."ProperConnect_cnt".pr_id,       /*id свойства*/
  "Tepl"."ProperConnect_cnt".typ_id,       /*id типа свойства*/
  0					/*заглушка*/
  
FROM
  "Tepl"."ProperConnect_cnt"
  INNER JOIN "Tepl"."Connect_cnt_Config" ON ("Tepl"."ProperConnect_cnt"."Conf_id" = "Tepl"."Connect_cnt_Config"."Conf_id")
  INNER JOIN "Tepl"."TypePropertyConnect" ON ("Tepl"."ProperConnect_cnt".typ_id = "Tepl"."TypePropertyConnect".typ_id)     
Where ("Tepl"."Connect_cnt_Config"."con_id"=$1)  
Order By "Tepl"."Connect_cnt_Config"."Conf_id", 
		"Tepl"."ProperConnect_cnt".typ_id
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetConfigConnect"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetConfigConnect"(integer) IS 'Свойства конфигураций соединения';


-- Function: "Tepl"."GetConnect_cnt"(integer)

-- DROP FUNCTION "Tepl"."GetConnect_cnt"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetConnect_cnt"(pplc_id integer)
  RETURNS SETOF "Tepl"."TResParamPlc" AS
$BODY$
SELECT 
  "Tepl"."Connect_cnt".con_id,
  "Tepl"."Connect_cnt"."Name",    /*Имя соединения*/
  "Tepl"."Connect_cnt"."Comment", /*Комментарий для соединения*/
  "Tepl"."ConnectType"."Name",    /*Имя типа соединения*/
  "Tepl"."ConnectType"."Comment", /*Комментарий для типа соединения*/
  "Tepl"."Connect_cnt".typ_con_id,/*id Типа соединения*/
  "Tepl"."Connect_cnt".plc_id,     /*Место установки(присутствия соединения)*/
  0				/*Заглушка*/
FROM
  "Tepl"."ConnectType"
  INNER JOIN "Tepl"."Connect_cnt" ON ("Tepl"."ConnectType".typ_con_id = "Tepl"."Connect_cnt".typ_con_id)
  Where ((("Tepl"."Connect_cnt".plc_id=$1)OR($1=-1))
  		AND("Tepl"."Connect_cnt".con_id)>=0)
        AND("Tepl"."Connect_cnt".uspd_id<0)
  
Order By  "Tepl"."Connect_cnt".plc_id,
		"Tepl"."Connect_cnt".typ_con_id;
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetConnect_cnt"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetConnect_cnt"(integer) IS 'Получение соединений установленных на объектах';

-- Function: "Tepl"."GetPaternToPLC"(integer)

-- DROP FUNCTION "Tepl"."GetPaternToPLC"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetPaternToPLC"(ppat_id integer)
  RETURNS SETOF "Tepl"."TToTo" AS
$BODY$
SELECT "Tepl"."PaternToPlc"."pat_id","Tepl"."PaternToPlc" ."typ_id"
From "Tepl"."PaternToPlc"
Where "pat_id"=$1
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetPaternToPLC"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetPaternToPLC"(integer) IS 'Список типов мест для заданного отчёта';

-- Function: "Tepl"."GetParamResPLCRep"(integer, integer)

-- DROP FUNCTION "Tepl"."GetParamResPLCRep"(integer, integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetParamResPLCRep"(pplc_id integer, pat_id integer)
  RETURNS SETOF "Tepl"."TResParamPlc" AS
$BODY$
SELECT "Tepl"."Resourse_cnt"."res_id","Tepl"."Resourse_cnt"."Name",
  "Tepl"."ParamResPlcRep_cnt"."Comment","Tepl"."ParamResPlcRep_cnt"."NameGroup","Tepl"."ParametrResourse"."Name",
  "Tepl"."ParamResPlcRep_cnt"."prp_id","Tepl"."ParamResPlcRep_cnt"."ParamRes_id",0
From  "Tepl"."Resourse_cnt","Tepl"."ParametrResourse","Tepl"."ParamResPlcRep_cnt"
WHERE ("Tepl"."Resourse_cnt"."res_id"="Tepl"."ParametrResourse"."res_id")
AND("Tepl"."ParametrResourse"."ParamRes_id"="Tepl"."ParamResPlcRep_cnt"."ParamRes_id")
AND("Tepl"."ParamResPlcRep_cnt"."plc_id"=$1)
AND("Tepl"."ParamResPlcRep_cnt"."pat_id"=$2)
order by "Tepl"."Resourse_cnt"."Name","Tepl"."ParamResPlcRep_cnt"."NameGroup", "Tepl"."ParametrResourse"."Name"
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetParamResPLCRep"(integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetParamResPLCRep"(integer, integer) IS 'Список ресурсов и их параметров шаболна отчёта для указанного места
pr_id является ключём для данных в группе';


-- Function: "Tepl"."GetParamResPLC"(integer)

-- DROP FUNCTION "Tepl"."GetParamResPLC"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetParamResPLC"(pplc_id integer)
  RETURNS SETOF "Tepl"."TResParamPlc" AS
$BODY$
SELECT "Tepl"."Resourse_cnt"."res_id","Tepl"."Resourse_cnt"."Name",
  "Tepl"."ParamResPlc_cnt"."Comment","Tepl"."ParametrResourse"."NameGroup","Tepl"."ParametrResourse"."Name",
  "Tepl"."ParamResPlc_cnt"."prp_id","Tepl"."ParametrResourse"."ParamRes_id",
  "Tepl"."ParamResPlc_cnt"."plc_id"
From  "Tepl"."Resourse_cnt","Tepl"."ParametrResourse","Tepl"."ParamResPlc_cnt"
WHERE ("Tepl"."Resourse_cnt"."res_id"="Tepl"."ParametrResourse"."res_id")
AND("Tepl"."ParametrResourse"."ParamRes_id"="Tepl"."ParamResPlc_cnt"."ParamRes_id")
AND(("Tepl"."ParamResPlc_cnt"."plc_id"=$1)or($1=-1))
order by "Tepl"."ParamResPlc_cnt"."plc_id","Tepl"."Resourse_cnt"."Name","Tepl"."ParametrResourse"."NameGroup", "Tepl"."ParametrResourse"."Name"
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetParamResPLC"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetParamResPLC"(integer) IS 'Список ресурсов и их параметров для указанного объекта';




-- Function: "Tepl"."GetPropPlace"(integer)

-- DROP FUNCTION "Tepl"."GetPropPlace"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetPropPlace"(pplc_id integer)
  RETURNS SETOF "Tepl"."TResParamPlc" AS
$BODY$
SELECT 
  "Tepl"."PropPlc_cnt".pr_id,          /*id свойства*/
  "Tepl"."PropTypPlc"."Name",          /*Имя свойства*/
  "Tepl"."PropTypPlc"."Comment",       /*Комментарий свойства */
  "Tepl"."PropPlc_cnt"."ValueProp",    /*Значение свойства*/
  "Tepl"."PropTypPlc"."TypeValue",     /*Тип значения свойства */
  "Tepl"."PropTypPlc"."prop_id",       /* id типа свойства свойства */
  "Tepl"."Places_cnt".plc_id,           /*id места для которого это свойство*/
  0					/*Заглушка*/
FROM
  "Tepl"."PropTypPlc"
  INNER JOIN "Tepl"."Places_cnt" ON ("Tepl"."PropTypPlc".typ_id = "Tepl"."Places_cnt".typ_id)
  LEFT OUTER JOIN "Tepl"."PropPlc_cnt" ON ("Tepl"."PropPlc_cnt".plc_id = "Tepl"."Places_cnt".plc_id)
  AND ("Tepl"."PropTypPlc".prop_id = "Tepl"."PropPlc_cnt".prop_id)
WHERE
  "Tepl"."Places_cnt".plc_id =$1
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetPropPlace"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetPropPlace"(integer) IS 'Свойства  места';

-- Function: "Tepl"."GetPropPlaceChild"(integer)

-- DROP FUNCTION "Tepl"."GetPropPlaceChild"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetPropPlaceChild"(pplc_id integer)
  RETURNS SETOF "Tepl"."TResParamPlc" AS
$BODY$
SELECT 
  "Tepl"."PropPlc_cnt".pr_id,          /*id свойства*/
  "Tepl"."PropTypPlc"."Name",          /*Имя свойства*/
  "Tepl"."PropTypPlc"."Comment",       /*Комментарий свойства */
  "Tepl"."PropPlc_cnt"."ValueProp",    /*Значение свойства*/
  "Tepl"."PropTypPlc"."TypeValue",     /*Тип значения свойства */
  "Tepl"."PropTypPlc"."prop_id",       /* id типа свойства свойства */
  "Tepl"."Places_cnt".plc_id,           /*id места для которого это свойство*/
  0					/*Заглушка*/
FROM
  "Tepl"."PropTypPlc"
  INNER JOIN "Tepl"."Places_cnt" ON ("Tepl"."PropTypPlc".typ_id = "Tepl"."Places_cnt".typ_id)
  LEFT OUTER JOIN "Tepl"."PropPlc_cnt" ON ("Tepl"."PropPlc_cnt".plc_id = "Tepl"."Places_cnt".plc_id)
  AND ("Tepl"."PropTypPlc".prop_id = "Tepl"."PropPlc_cnt".prop_id)
WHERE
  "Tepl"."Places_cnt".place_id =$1
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetPropPlaceChild"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetPropPlaceChild"(integer) IS 'Свойства дочерних мест места';

CREATE OR REPLACE FUNCTION "Tepl"."GetUSPDConnect_cnt" (
  puspd_id integer
)
RETURNS SETOF "Tepl"."TResParamPlc" AS
$body$
SELECT 
  "Tepl"."Connect_cnt".con_id,
  "Tepl"."Connect_cnt"."Name",    /*Имя соединения*/
  "Tepl"."Connect_cnt"."Comment", /*Комментарий для соединения*/
  "Tepl"."ConnectType"."Name",    /*Имя типа соединения*/
  "Tepl"."ConnectType"."Comment", /*Комментарий для типа соединения*/
  "Tepl"."Connect_cnt".typ_con_id,/*id Типа соединения*/
  "Tepl"."Connect_cnt".plc_id,     /*Место установки(присутствия соединения)*/
  0				   /*Заглушка*/
FROM
  "Tepl"."ConnectType"
  INNER JOIN "Tepl"."Connect_cnt" ON ("Tepl"."ConnectType".typ_con_id = "Tepl"."Connect_cnt".typ_con_id)
  Where ((("Tepl"."Connect_cnt".uspd_id=$1)OR($1=-1))
  AND("Tepl"."Connect_cnt".con_id)>=0)
  
Order By  "Tepl"."Connect_cnt".plc_id,
		"Tepl"."Connect_cnt".typ_con_id;
$body$
LANGUAGE 'sql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
COST 100 ROWS 1000;

COMMENT ON FUNCTION "Tepl"."GetUSPDConnect_cnt"(puspd_id integer)
IS 'Получение соединений установленных на УСПД';