SET client_encoding = 'UTF8';

DROP FUNCTION "Tepl"."GetPlaceAdress"(integer);
CREATE OR REPLACE FUNCTION "Tepl"."GetPlaceAdress"(IN plc_id integer, OUT road text, OUT name text)
  RETURNS SETOF record AS
$BODY$
DECLARE
  data_row record;
  child_id integer;
BEGIN
  road = '';
  name = '';
  child_id = plc_id;
  WHILE (child_id > 0) LOOP
    -- Запрос дочернего места с типом места
    SELECT (p_table.plc_id) AS "id", 
           (CASE WHEN pt_table."Name" IS NULL THEN '' ELSE pt_table."Name" END) || ' ' || (CASE WHEN p_table."Name" IS NULL THEN '' ELSE p_table."Name" END) AS "name", 
           (p_table.place_id) AS "child"
    FROM "Tepl"."Places_cnt" p_table
    INNER JOIN "Tepl"."PlaceTyp_cnt" pt_table ON (p_table.typ_id = pt_table.typ_id)
    INTO data_row
    WHERE p_table.plc_id = child_id;
    -- Добавляем разделители
    IF road <> '' THEN road = ',' || road; END IF;
    IF name <> '' THEN name = '/' || name; END IF;
    -- Добавляем дочернее место
    road = data_row.id || road;
    name = trim(data_row.name) || name;
    -- Переходим к следующему месту
    child_id = data_row.child;
  END LOOP;
  RETURN NEXT;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1;
ALTER FUNCTION "Tepl"."GetPlaceAdress"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetPlaceAdress"(integer) IS 'Получение полного полного адреса места и пути к нему';