SET client_encoding = 'UTF8';

CREATE OR REPLACE FUNCTION "Tepl"."UpdateArchives"(times_array TEXT, values_array TEXT, archive_type INTEGER, point_id INTEGER)
  RETURNS VOID AS
$BODY$
DECLARE
 times_data TIMESTAMP[];
 values_data DOUBLE PRECISION[]; 
 i INTEGER;
 count INTEGER;    
BEGIN
  -- Конвертирование массивов
  times_data := "Tepl"."farrTime"(times_array);
  values_data := "Tepl"."fArrDoublePressis"(values_array);
  count := array_upper(times_data, 1);
  FOR i IN 1..count LOOP
    -- Запрос существующих значений
    IF EXISTS(SELECT "DataValue" 
              FROM "Tepl"."Arhiv_cnt" 
              WHERE typ_arh = archive_type AND pr_id = point_id AND "DateValue" = times_data[i] 
              LIMIT 1) THEN
      UPDATE "Tepl"."Arhiv_cnt"
      SET "DataValue" = values_data[i]
      WHERE typ_arh = archive_type AND pr_id = point_id AND "DateValue" = times_data[i];
    ELSE
      INSERT INTO "Tepl"."Arhiv_cnt" ("DateValue", "DataValue", typ_arh, pr_id)
      VALUES (times_data[i], values_data[i], archive_type, point_id);
    END IF;
  END LOOP;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."UpdateArchives"(text, text, integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."UpdateArchives"(text, text, integer, integer) IS 'Вставка или обновление архивных записей';