
SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 6516 AND pr_typ_id <= 6657;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 520 AND gr_typ_id <= 533;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 263;

---- Прибор "ТЭМ-104.02" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (263, 'ТЭМ-104.02', 'Многоканальный теплосчетчик(обновленная модель)', 128);

---- Группа "Прибор" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (520, 'Прибор', 'Информация о приборе', 263, 0);
  -- Добавление параметра прибора "Идентификатор"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6516, 'Идентификатор', '', 520, 1, 1, 'sID', 263, 448);
  -- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6517, 'Заводской номер', '', 520, 1, 1, 'sDN', 263, 448);
  -- Добавление параметра прибора "Сетевой номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6518, 'Сетевой номер', '', 520, 1, 1, 'sNA', 263, 448);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6519, 'Дата и время', '', 520, 1, 1, 'D', 263, 449);
  -- Добавление параметра прибора "Количество систем"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6520, 'Количество систем', '', 520, 1, 1, 'sNS', 263, 448);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (521, 'Общие', 'Общие показания прибора(не системные)', 263, 0);
  -- Добавление параметра прибора "Энергия [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6521, 'Энергия [МВт*ч]', '', 521, 1, 1, 'rNE', 263, 399);
  -- Добавление параметра прибора "Время работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6522, 'Время работы [ч]', '', 521, 1, 1, 'rNT', 263, 399);
  -- Добавление параметра прибора "Датчики расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6523, 'Датчики расхода', '', 521, 1, 1, 'rUG', 263, 448);
  -- Добавление параметра прибора "Датчики температуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6524, 'Датчики температуры', '', 521, 1, 1, 'rUT', 263, 448);
  -- Добавление параметра прибора "Датчики давления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6525, 'Датчики давления', '', 521, 1, 1, 'rUP', 263, 448);

---- Группа "Система 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (522, 'Система 1', 'Текущие и архивные первой теплосистемы', 263, 0);
  -- Добавление параметра прибора "Тип 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6526, 'Тип 1', '', 522, 1, 1, 'cIT1', 263, 448);
  -- Добавление параметра прибора "Датчики расхода 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6527, 'Датчики расхода 1', '', 522, 1, 1, 'cUG1', 263, 448);
  -- Добавление параметра прибора "Датчики температуры 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6528, 'Датчики температуры 1', '', 522, 1, 1, 'cUT1', 263, 448);
  -- Добавление параметра прибора "Датчики давления 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6529, 'Датчики давления 1', '', 522, 1, 1, 'cUP1', 263, 448);
  -- Добавление параметра прибора "Мин. разность температур 1 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6530, 'Мин. разность температур 1 [C]', '', 522, 1, 1, 'cMT1', 263, 448);
  -- Добавление параметра прибора "Время работы без ошибок 1 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6531, 'Время работы без ошибок 1 [ч]', '', 522, 1, 1, 'cAT1', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G < min" 1 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6532, 'Время работы ошибки "G < min" 1 [ч]', '', 522, 1, 1, 'cGT1', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G > max" 1 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6533, 'Время работы ошибки "G > max" 1 [ч]', '', 522, 1, 1, 'cXT1', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "dt < min" 1 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6534, 'Время работы ошибки "dt < min" 1 [ч]', '', 522, 1, 1, 'cBT1', 263, 399);
  -- Добавление параметра прибора "Время работы технической ошибки 1 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6535, 'Время работы технической ошибки 1 [ч]', '', 522, 1, 1, 'cJT1', 263, 399);
  -- Добавление параметра прибора "Ошибки 1 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6536, 'Ошибки 1 [ч]', '', 522, 1, 1, 'cET1', 263, 398);

---- Группа "Система 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (523, 'Система 2', 'Текущие и архивные второй теплосистемы', 263, 0);
  -- Добавление параметра прибора "Тип 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6537, 'Тип 2', '', 523, 1, 1, 'cIT2', 263, 448);
  -- Добавление параметра прибора "Датчики расхода 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6538, 'Датчики расхода 2', '', 523, 1, 1, 'cUG2', 263, 448);
  -- Добавление параметра прибора "Датчики температуры 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6539, 'Датчики температуры 2', '', 523, 1, 1, 'cUT2', 263, 448);
  -- Добавление параметра прибора "Датчики давления 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6540, 'Датчики давления 2', '', 523, 1, 1, 'cUP2', 263, 448);
  -- Добавление параметра прибора "Мин. разность температур 2 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6541, 'Мин. разность температур 2 [C]', '', 523, 1, 1, 'cMT2', 263, 448);
  -- Добавление параметра прибора "Время работы без ошибок 2 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6542, 'Время работы без ошибок 2 [ч]', '', 523, 1, 1, 'cAT2', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G < min" 2 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6543, 'Время работы ошибки "G < min" 2 [ч]', '', 523, 1, 1, 'cGT2', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G > max" 2 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6544, 'Время работы ошибки "G > max" 2 [ч]', '', 523, 1, 1, 'cXT2', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "dt < min" 2 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6545, 'Время работы ошибки "dt < min" 2 [ч]', '', 523, 1, 1, 'cBT2', 263, 399);
  -- Добавление параметра прибора "Время работы технической ошибки 2 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6546, 'Время работы технической ошибки 2 [ч]', '', 523, 1, 1, 'cJT2', 263, 399);
  -- Добавление параметра прибора "Ошибки 2 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6547, 'Ошибки 2 [ч]', '', 523, 1, 1, 'cET2', 263, 398);

---- Группа "Система 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (524, 'Система 3', 'Текущие и архивные третьей теплосистемы', 263, 0);
  -- Добавление параметра прибора "Тип 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6548, 'Тип 3', '', 524, 1, 1, 'cIT3', 263, 448);
  -- Добавление параметра прибора "Датчики расхода 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6549, 'Датчики расхода 3', '', 524, 1, 1, 'cUG3', 263, 448);
  -- Добавление параметра прибора "Датчики температуры 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6550, 'Датчики температуры 3', '', 524, 1, 1, 'cUT3', 263, 448);
  -- Добавление параметра прибора "Датчики давления 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6551, 'Датчики давления 3', '', 524, 1, 1, 'cUP3', 263, 448);
  -- Добавление параметра прибора "Мин. разность температур 3 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6552, 'Мин. разность температур 3 [C]', '', 524, 1, 1, 'cMT3', 263, 448);
  -- Добавление параметра прибора "Время работы без ошибок 3 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6553, 'Время работы без ошибок 3 [ч]', '', 524, 1, 1, 'cAT3', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G < min" 3 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6554, 'Время работы ошибки "G < min" 3 [ч]', '', 524, 1, 1, 'cGT3', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G > max" 3 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6555, 'Время работы ошибки "G > max" 3 [ч]', '', 524, 1, 1, 'cXT3', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "dt < min" 3 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6556, 'Время работы ошибки "dt < min" 3 [ч]', '', 524, 1, 1, 'cBT3', 263, 399);
  -- Добавление параметра прибора "Время работы технической ошибки 3 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6557, 'Время работы технической ошибки 3 [ч]', '', 524, 1, 1, 'cJT3', 263, 399);
  -- Добавление параметра прибора "Ошибки 3 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6558, 'Ошибки 3 [ч]', '', 524, 1, 1, 'cET3', 263, 398);

---- Группа "Система 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (525, 'Система 4', 'Текущие и архивные четвертой теплосистемы', 263, 0);
  -- Добавление параметра прибора "Тип 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6559, 'Тип 4', '', 525, 1, 1, 'cIT4', 263, 448);
  -- Добавление параметра прибора "Датчики расхода 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6560, 'Датчики расхода 4', '', 525, 1, 1, 'cUG4', 263, 448);
  -- Добавление параметра прибора "Датчики температуры 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6561, 'Датчики температуры 4', '', 525, 1, 1, 'cUT4', 263, 448);
  -- Добавление параметра прибора "Датчики давления 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6562, 'Датчики давления 4', '', 525, 1, 1, 'cUP4', 263, 448);
  -- Добавление параметра прибора "Мин. разность температур 4 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6563, 'Мин. разность температур 4 [C]', '', 525, 1, 1, 'cMT4', 263, 448);
  -- Добавление параметра прибора "Время работы без ошибок 4 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6564, 'Время работы без ошибок 4 [ч]', '', 525, 1, 1, 'cAT4', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G < min" 4 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6565, 'Время работы ошибки "G < min" 4 [ч]', '', 525, 1, 1, 'cGT4', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G > max" 4 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6566, 'Время работы ошибки "G > max" 4 [ч]', '', 525, 1, 1, 'cXT4', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "dt < min" 4 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6567, 'Время работы ошибки "dt < min" 4 [ч]', '', 525, 1, 1, 'cBT4', 263, 399);
  -- Добавление параметра прибора "Время работы технической ошибки 4 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6568, 'Время работы технической ошибки 4 [ч]', '', 525, 1, 1, 'cJT4', 263, 399);
  -- Добавление параметра прибора "Ошибки 4 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6569, 'Ошибки 4 [ч]', '', 525, 1, 1, 'cET4', 263, 398);

---- Группа "Система 5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (526, 'Система 5', 'Текущие и архивные пятой теплосистемы', 263, 0);
  -- Добавление параметра прибора "Тип 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6570, 'Тип 5', '', 526, 1, 1, 'cIT5', 263, 448);
  -- Добавление параметра прибора "Датчики расхода 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6571, 'Датчики расхода 5', '', 526, 1, 1, 'cUG5', 263, 448);
  -- Добавление параметра прибора "Датчики температуры 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6572, 'Датчики температуры 5', '', 526, 1, 1, 'cUT5', 263, 448);
  -- Добавление параметра прибора "Датчики давления 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6573, 'Датчики давления 5', '', 526, 1, 1, 'cUP5', 263, 448);
  -- Добавление параметра прибора "Мин. разность температур 5 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6574, 'Мин. разность температур 5 [C]', '', 526, 1, 1, 'cMT5', 263, 448);
  -- Добавление параметра прибора "Время работы без ошибок 5 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6575, 'Время работы без ошибок 5 [ч]', '', 526, 1, 1, 'cAT5', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G < min" 5 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6576, 'Время работы ошибки "G < min" 5 [ч]', '', 526, 1, 1, 'cGT5', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G > max" 5 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6577, 'Время работы ошибки "G > max" 5 [ч]', '', 526, 1, 1, 'cXT5', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "dt < min" 5 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6578, 'Время работы ошибки "dt < min" 5 [ч]', '', 526, 1, 1, 'cBT5', 263, 399);
  -- Добавление параметра прибора "Время работы технической ошибки 5 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6579, 'Время работы технической ошибки 5 [ч]', '', 526, 1, 1, 'cJT5', 263, 399);
  -- Добавление параметра прибора "Ошибки 5 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6580, 'Ошибки 5 [ч]', '', 526, 1, 1, 'cET5', 263, 398);

---- Группа "Система 6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (527, 'Система 6', 'Текущие и архивные шестой теплосистемы', 263, 0);
  -- Добавление параметра прибора "Тип 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6581, 'Тип 6', '', 527, 1, 1, 'cIT6', 263, 448);
  -- Добавление параметра прибора "Датчики расхода 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6582, 'Датчики расхода 6', '', 527, 1, 1, 'cUG6', 263, 448);
  -- Добавление параметра прибора "Датчики температуры 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6583, 'Датчики температуры 6', '', 527, 1, 1, 'cUT6', 263, 448);
  -- Добавление параметра прибора "Датчики давления 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6584, 'Датчики давления 6', '', 527, 1, 1, 'cUP6', 263, 448);
  -- Добавление параметра прибора "Мин. разность температур 6 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6585, 'Мин. разность температур 6 [C]', '', 527, 1, 1, 'cMT6', 263, 448);
  -- Добавление параметра прибора "Время работы без ошибок 6 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6586, 'Время работы без ошибок 6 [ч]', '', 527, 1, 1, 'cAT6', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G < min" 6 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6587, 'Время работы ошибки "G < min" 6 [ч]', '', 527, 1, 1, 'cGT6', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "G > max" 6 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6588, 'Время работы ошибки "G > max" 6 [ч]', '', 527, 1, 1, 'cXT6', 263, 399);
  -- Добавление параметра прибора "Время работы ошибки "dt < min" 6 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6589, 'Время работы ошибки "dt < min" 6 [ч]', '', 527, 1, 1, 'cBT6', 263, 399);
  -- Добавление параметра прибора "Время работы технической ошибки 6 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6590, 'Время работы технической ошибки 6 [ч]', '', 527, 1, 1, 'cJT6', 263, 399);
  -- Добавление параметра прибора "Ошибки 6 [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6591, 'Ошибки 6 [ч]', '', 527, 1, 1, 'cET6', 263, 398);

---- Группа "Канал 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (528, 'Канал 1', 'Текущие и архивные первого измерительного канала', 263, 0);
  -- Добавление параметра прибора "Вес импульса 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6592, 'Вес импульса 1', '', 528, 1, 1, 'cIW1', 263, 448);
  -- Добавление параметра прибора "Макс. значение расхода 1 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6593, 'Макс. значение расхода 1 [м3/ч]', '', 528, 1, 1, 'cMG1', 263, 448);
  -- Добавление параметра прибора "Температура 1 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6594, 'Температура 1 [C]', '', 528, 1, 1, 'cCT1', 263, 399);
  -- Добавление параметра прибора "Давление 1 [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6595, 'Давление 1 [МПа]', '', 528, 1, 1, 'cCP1', 263, 399);
  -- Добавление параметра прибора "Расход объемный 1 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6596, 'Расход объемный 1 [м3/ч]', '', 528, 1, 1, 'cQG1', 263, 385);
  -- Добавление параметра прибора "Расход массовый 1 [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6597, 'Расход массовый 1 [т/ч]', '', 528, 1, 1, 'cCG1', 263, 399);
  -- Добавление параметра прибора "Частота 1 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6598, 'Частота 1 [Гц]', '', 528, 1, 1, 'cCF1', 263, 385);
  -- Добавление параметра прибора "Диаметр канала расхода 1 [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6599, 'Диаметр канала расхода 1 [мм]', '', 528, 1, 1, 'cDG1', 263, 448);
  -- Добавление параметра прибора "Объем 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6600, 'Объем 1 [м3]', '', 528, 1, 1, 'cCV1', 263, 399);
  -- Добавление параметра прибора "Масса 1 [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6601, 'Масса 1 [т]', '', 528, 1, 1, 'cCM1', 263, 399);
  -- Добавление параметра прибора "Энергия 1 [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6602, 'Энергия 1 [МВт*ч]', '', 528, 1, 1, 'cCE1', 263, 399);

---- Группа "Канал 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (529, 'Канал 2', 'Текущие и архивные второго измерительного канала', 263, 0);
  -- Добавление параметра прибора "Вес импульса 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6603, 'Вес импульса 2', '', 529, 1, 1, 'cIW2', 263, 448);
  -- Добавление параметра прибора "Макс. значение расхода 2 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6604, 'Макс. значение расхода 2 [м3/ч]', '', 529, 1, 1, 'cMG2', 263, 448);
  -- Добавление параметра прибора "Температура 2 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6605, 'Температура 2 [C]', '', 529, 1, 1, 'cCT2', 263, 399);
  -- Добавление параметра прибора "Давление 2 [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6606, 'Давление 2 [МПа]', '', 529, 1, 1, 'cCP2', 263, 399);
  -- Добавление параметра прибора "Расход объемный 2 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6607, 'Расход объемный 2 [м3/ч]', '', 529, 1, 1, 'cQG2', 263, 385);
  -- Добавление параметра прибора "Расход массовый 2 [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6608, 'Расход массовый 2 [т/ч]', '', 529, 1, 1, 'cCG2', 263, 399);
  -- Добавление параметра прибора "Частота 2 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6609, 'Частота 2 [Гц]', '', 529, 1, 1, 'cCF2', 263, 385);
  -- Добавление параметра прибора "Диаметр канала расхода 2 [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6610, 'Диаметр канала расхода 2 [мм]', '', 529, 1, 1, 'cDG2', 263, 448);
  -- Добавление параметра прибора "Объем 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6611, 'Объем 2 [м3]', '', 529, 1, 1, 'cCV2', 263, 399);
  -- Добавление параметра прибора "Масса 2 [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6612, 'Масса 2 [т]', '', 529, 1, 1, 'cCM2', 263, 399);
  -- Добавление параметра прибора "Энергия 2 [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6613, 'Энергия 2 [МВт*ч]', '', 529, 1, 1, 'cCE2', 263, 399);

---- Группа "Канал 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (530, 'Канал 3', 'Текущие и архивные третьего измерительного канала', 263, 0);
  -- Добавление параметра прибора "Вес импульса 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6614, 'Вес импульса 3', '', 530, 1, 1, 'cIW3', 263, 448);
  -- Добавление параметра прибора "Макс. значение расхода 3 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6615, 'Макс. значение расхода 3 [м3/ч]', '', 530, 1, 1, 'cMG3', 263, 448);
  -- Добавление параметра прибора "Температура 3 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6616, 'Температура 3 [C]', '', 530, 1, 1, 'cCT3', 263, 399);
  -- Добавление параметра прибора "Давление 3 [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6617, 'Давление 3 [МПа]', '', 530, 1, 1, 'cCP3', 263, 399);
  -- Добавление параметра прибора "Расход объемный 3 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6618, 'Расход объемный 3 [м3/ч]', '', 530, 1, 1, 'cQG3', 263, 385);
  -- Добавление параметра прибора "Расход массовый 3 [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6619, 'Расход массовый 3 [т/ч]', '', 530, 1, 1, 'cCG3', 263, 399);
  -- Добавление параметра прибора "Частота 3 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6620, 'Частота 3 [Гц]', '', 530, 1, 1, 'cCF3', 263, 385);
  -- Добавление параметра прибора "Диаметр канала расхода 3 [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6621, 'Диаметр канала расхода 3 [мм]', '', 530, 1, 1, 'cDG3', 263, 448);
  -- Добавление параметра прибора "Объем 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6622, 'Объем 3 [м3]', '', 530, 1, 1, 'cCV3', 263, 399);
  -- Добавление параметра прибора "Масса 3 [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6623, 'Масса 3 [т]', '', 530, 1, 1, 'cCM3', 263, 399);
  -- Добавление параметра прибора "Энергия 3 [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6624, 'Энергия 3 [МВт*ч]', '', 530, 1, 1, 'cCE3', 263, 399);

---- Группа "Канал 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (531, 'Канал 4', 'Текущие и архивные четвертого измерительного канала', 263, 0);
  -- Добавление параметра прибора "Вес импульса 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6625, 'Вес импульса 4', '', 531, 1, 1, 'cIW4', 263, 448);
  -- Добавление параметра прибора "Макс. значение расхода 4 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6626, 'Макс. значение расхода 4 [м3/ч]', '', 531, 1, 1, 'cMG4', 263, 448);
  -- Добавление параметра прибора "Температура 4 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6627, 'Температура 4 [C]', '', 531, 1, 1, 'cCT4', 263, 399);
  -- Добавление параметра прибора "Давление 4 [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6628, 'Давление 4 [МПа]', '', 531, 1, 1, 'cCP4', 263, 399);
  -- Добавление параметра прибора "Расход объемный 4 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6629, 'Расход объемный 4 [м3/ч]', '', 531, 1, 1, 'cQG4', 263, 385);
  -- Добавление параметра прибора "Расход массовый 4 [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6630, 'Расход массовый 4 [т/ч]', '', 531, 1, 1, 'cCG4', 263, 399);
  -- Добавление параметра прибора "Частота 4 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6631, 'Частота 4 [Гц]', '', 531, 1, 1, 'cCF4', 263, 385);
  -- Добавление параметра прибора "Диаметр канала расхода 4 [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6632, 'Диаметр канала расхода 4 [мм]', '', 531, 1, 1, 'cDG4', 263, 448);
  -- Добавление параметра прибора "Объем 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6633, 'Объем 4 [м3]', '', 531, 1, 1, 'cCV4', 263, 399);
  -- Добавление параметра прибора "Масса 4 [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6634, 'Масса 4 [т]', '', 531, 1, 1, 'cCM4', 263, 399);
  -- Добавление параметра прибора "Энергия 4 [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6635, 'Энергия 4 [МВт*ч]', '', 531, 1, 1, 'cCE4', 263, 399);

---- Группа "Канал 5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (532, 'Канал 5', 'Текущие и архивные пятого измерительного канала', 263, 0);
  -- Добавление параметра прибора "Вес импульса 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6636, 'Вес импульса 5', '', 532, 1, 1, 'cIW5', 263, 448);
  -- Добавление параметра прибора "Макс. значение расхода 5 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6637, 'Макс. значение расхода 5 [м3/ч]', '', 532, 1, 1, 'cMG5', 263, 448);
  -- Добавление параметра прибора "Температура 5 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6638, 'Температура 5 [C]', '', 532, 1, 1, 'cCT5', 263, 399);
  -- Добавление параметра прибора "Давление 5 [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6639, 'Давление 5 [МПа]', '', 532, 1, 1, 'cCP5', 263, 399);
  -- Добавление параметра прибора "Расход объемный 5 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6640, 'Расход объемный 5 [м3/ч]', '', 532, 1, 1, 'cQG5', 263, 385);
  -- Добавление параметра прибора "Расход массовый 5 [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6641, 'Расход массовый 5 [т/ч]', '', 532, 1, 1, 'cCG5', 263, 399);
  -- Добавление параметра прибора "Частота 5 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6642, 'Частота 5 [Гц]', '', 532, 1, 1, 'cCF5', 263, 385);
  -- Добавление параметра прибора "Диаметр канала расхода 5 [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6643, 'Диаметр канала расхода 5 [мм]', '', 532, 1, 1, 'cDG5', 263, 448);
  -- Добавление параметра прибора "Объем 5 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6644, 'Объем 5 [м3]', '', 532, 1, 1, 'cCV5', 263, 399);
  -- Добавление параметра прибора "Масса 5 [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6645, 'Масса 5 [т]', '', 532, 1, 1, 'cCM5', 263, 399);
  -- Добавление параметра прибора "Энергия 5 [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6646, 'Энергия 5 [МВт*ч]', '', 532, 1, 1, 'cCE5', 263, 399);

---- Группа "Канал 6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (533, 'Канал 6', 'Текущие и архивные шестого измерительного канала', 263, 0);
  -- Добавление параметра прибора "Вес импульса 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6647, 'Вес импульса 6', '', 533, 1, 1, 'cIW6', 263, 448);
  -- Добавление параметра прибора "Макс. значение расхода 6 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6648, 'Макс. значение расхода 6 [м3/ч]', '', 533, 1, 1, 'cMG6', 263, 448);
  -- Добавление параметра прибора "Температура 6 [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6649, 'Температура 6 [C]', '', 533, 1, 1, 'cCT6', 263, 399);
  -- Добавление параметра прибора "Давление 6 [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6650, 'Давление 6 [МПа]', '', 533, 1, 1, 'cCP6', 263, 399);
  -- Добавление параметра прибора "Расход объемный 6 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6651, 'Расход объемный 6 [м3/ч]', '', 533, 1, 1, 'cQG6', 263, 385);
  -- Добавление параметра прибора "Расход массовый 6 [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6652, 'Расход массовый 6 [т/ч]', '', 533, 1, 1, 'cCG6', 263, 399);
  -- Добавление параметра прибора "Частота 6 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6653, 'Частота 6 [Гц]', '', 533, 1, 1, 'cCF6', 263, 385);
  -- Добавление параметра прибора "Диаметр канала расхода 6 [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6654, 'Диаметр канала расхода 6 [мм]', '', 533, 1, 1, 'cDG6', 263, 448);
  -- Добавление параметра прибора "Объем 6 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6655, 'Объем 6 [м3]', '', 533, 1, 1, 'cCV6', 263, 399);
  -- Добавление параметра прибора "Масса 6 [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6656, 'Масса 6 [т]', '', 533, 1, 1, 'cCM6', 263, 399);
  -- Добавление параметра прибора "Энергия 6 [МВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6657, 'Энергия 6 [МВт*ч]', '', 533, 1, 1, 'cCE6', 263, 399);
