SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 6742 AND pr_typ_id <= 6873;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 538 AND gr_typ_id <= 541;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id in (268, 269);

---- Прибор "ЭМИС-ВИХРЬ 200 v8" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (268, 'ЭМИС-ВИХРЬ 200 v8', 'Вихревой расходомер расширенной версии', 128);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (538, 'Текущие', '', 268, 0);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6742, 'Диагностика', '', 538, 1, 1, '30001', 268, 385);
  -- Добавление параметра прибора "Температура среды [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6743, 'Температура среды [С]', '', 538, 1, 1, '30002', 268, 385);
  -- Добавление параметра прибора "Температура плат блока [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6744, 'Температура плат блока [С]', '', 538, 1, 1, '30004', 268, 385);
  -- Добавление параметра прибора "Давление среды [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6745, 'Давление среды [МПа]', '', 538, 1, 1, '30006', 268, 385);
  -- Добавление параметра прибора "Вычисленная плотность [кг/м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6746, 'Вычисленная плотность [кг/м3]', '', 538, 1, 1, '30008', 268, 385);
  -- Добавление параметра прибора "Амплитуда сигнала"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6747, 'Амплитуда сигнала', '', 538, 1, 1, '30010', 268, 385);
  -- Добавление параметра прибора "Расход объемный [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6748, 'Расход объемный [м3/ч]', '', 538, 1, 1, '30012', 268, 385);
  -- Добавление параметра прибора "Расход массовый [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6749, 'Расход массовый [т/ч]', '', 538, 1, 1, '30014', 268, 385);
  -- Добавление параметра прибора "Частота вихреобразования [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6750, 'Частота вихреобразования [Гц]', '', 538, 1, 1, '30016', 268, 385);
  -- Добавление параметра прибора "Выходная частота дискретного выхода [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6751, 'Выходная частота дискретного выхода [Гц]', '', 538, 1, 1, '30018', 268, 385);
  -- Добавление параметра прибора "Выходной ток аналогового выхода [мА]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6752, 'Выходной ток аналогового выхода [мА]', '', 538, 1, 1, '30020', 268, 385);
  -- Добавление параметра прибора "Накопленный объем при РУ [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6753, 'Накопленный объем при РУ [мм]', '', 538, 1, 1, '30022', 268, 385);
  -- Добавление параметра прибора "Накопленный объем в при РУ [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6754, 'Накопленный объем в при РУ [м3]', '', 538, 1, 1, '30024', 268, 385);
  -- Добавление параметра прибора "Накопленная масса в [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6755, 'Накопленная масса в [т]', '', 538, 1, 1, '30028', 268, 385);
  -- Добавление параметра прибора "Обнуляемый сумматор объема при РУ [мл]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6756, 'Обнуляемый сумматор объема при РУ [мл]', '', 538, 1, 1, '30030', 268, 385);
  -- Добавление параметра прибора "Обнуляемый сумматор объема при РУ [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6757, 'Обнуляемый сумматор объема при РУ [м3]', '', 538, 1, 1, '30032', 268, 385);
  -- Добавление параметра прибора "Обнуляемый сумматор массы [г]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6758, 'Обнуляемый сумматор массы [г]', '', 538, 1, 1, '30034', 268, 385);
  -- Добавление параметра прибора "Обнуляемый сумматор массы  [г]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6759, 'Обнуляемый сумматор массы  [г]', '', 538, 1, 1, '30036', 268, 385);
  -- Добавление параметра прибора "Обнуляемый сумматор объема альтернативной среды при РУ [мл]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6760, 'Обнуляемый сумматор объема альтернативной среды при РУ [мл]', '', 538, 1, 1, '30038', 268, 385);
  -- Добавление параметра прибора "Обнуляемый сумматор объема альтернативной среды при РУ [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6761, 'Обнуляемый сумматор объема альтернативной среды при РУ [м3]', '', 538, 1, 1, '30040', 268, 385);
  -- Добавление параметра прибора "Контрольная сумма метрологически значимых переменных"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6762, 'Контрольная сумма метрологически значимых переменных', '', 538, 1, 1, '30042', 268, 385);
  -- Добавление параметра прибора "Контрольная сумма программного кода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6763, 'Контрольная сумма программного кода', '', 538, 1, 1, '30043', 268, 385);
  -- Добавление параметра прибора "Текущий код аналого-цифрового преобразования сигнала 4-20 мА от датчика давления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6764, 'Текущий код аналого-цифрового преобразования сигнала 4-20 мА от датчика давления', '', 538, 1, 1, '30044', 268, 385);
  -- Добавление параметра прибора "Дисперсия спектра (критерий кавитации и случайного вихреобразования)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6765, 'Дисперсия спектра (критерий кавитации и случайного вихреобразования)', '', 538, 1, 1, '30045', 268, 385);
  -- Добавление параметра прибора "Текущий уровень доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6766, 'Текущий уровень доступа', '', 538, 1, 1, '30046', 268, 385);
  -- Добавление параметра прибора "Амплитуда ускорения вибрации [g]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6767, 'Амплитуда ускорения вибрации [g]', '', 538, 1, 1, '30047', 268, 385);
  -- Добавление параметра прибора "Частота вибрации [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6768, 'Частота вибрации [Гц]', '', 538, 1, 1, '30049', 268, 385);
  -- Добавление параметра прибора "Расход объемный приведенный к НУ [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6769, 'Расход объемный приведенный к НУ [м3/ч]', '', 538, 1, 1, '30051', 268, 385);

---- Группа "Текущие и настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (539, 'Текущие и настроечные', '', 268, 0);
  -- Добавление параметра прибора "Адрес устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6770, 'Адрес устройства', '', 539, 1, 1, '40001', 268, 448);
  -- Добавление параметра прибора "Скорость обмена данными"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6771, 'Скорость обмена данными', '', 539, 1, 1, '40002', 268, 448);
  -- Добавление параметра прибора "Серийный номеp расходомера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6772, 'Серийный номеp расходомера', '', 539, 1, 1, '40003', 268, 449);
  -- Добавление параметра прибора "Вид измеряемой среды"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6773, 'Вид измеряемой среды', '', 539, 1, 1, '40004', 268, 448);
  -- Добавление параметра прибора "Условный диаметр проточной части [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6774, 'Условный диаметр проточной части [мм]', '', 539, 1, 1, '40005', 268, 448);
  -- Добавление параметра прибора "Конфигурация режимов работы аналогового выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6775, 'Конфигурация режимов работы аналогового выхода', '', 539, 1, 1, '40006', 268, 448);
  -- Добавление параметра прибора "Конфигурация режимов работы дискретного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6776, 'Конфигурация режимов работы дискретного выхода', '', 539, 1, 1, '40007', 268, 448);
  -- Добавление параметра прибора "Периодичность записи накопительных счетчиков[мин]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6777, 'Периодичность записи накопительных счетчиков[мин]', '', 539, 1, 1, '40008', 268, 448);
  -- Добавление параметра прибора "Таймаут сброса счетчика дозатора [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6778, 'Таймаут сброса счетчика дозатора [мм]', '', 539, 1, 1, '40011', 268, 448);
  -- Добавление параметра прибора "Периодичность выполнения самодиагностики [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6779, 'Периодичность выполнения самодиагностики [ч]', '', 539, 1, 1, '40012', 268, 448);
  -- Добавление параметра прибора "Конфигурация программных заградительных фильтров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6780, 'Конфигурация программных заградительных фильтров', '', 539, 1, 1, '40013', 268, 448);
  -- Добавление параметра прибора "Включение программного амплитудного фильтра"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6781, 'Включение программного амплитудного фильтра', '', 539, 1, 1, '40014', 268, 448);
  -- Добавление параметра прибора "Конфигурация датчика давления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6782, 'Конфигурация датчика давления', '', 539, 1, 1, '40015', 268, 448);
  -- Добавление параметра прибора "Статическая характеристика датчика температуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6783, 'Статическая характеристика датчика температуры', '', 539, 1, 1, '40016', 268, 448);
  -- Добавление параметра прибора "Порог отключения расходомера по амплитуде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6784, 'Порог отключения расходомера по амплитуде', '', 539, 1, 1, '40017', 268, 448);
  -- Добавление параметра прибора "Код АЦП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6785, 'Код АЦП', '', 539, 1, 1, '40018', 268, 448);
  -- Добавление параметра прибора "Время демпфирования расхода [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6786, 'Время демпфирования расхода [сек]', '', 539, 1, 1, '40019', 268, 448);
  -- Добавление параметра прибора "Порог предупреждения о паразитном вихреобразовании"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6787, 'Порог предупреждения о паразитном вихреобразовании', '', 539, 1, 1, '40020', 268, 448);
  -- Добавление параметра прибора "Параметр, индицируемый в 1-й строке дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6788, 'Параметр, индицируемый в 1-й строке дисплея', '', 539, 1, 1, '40021', 268, 448);
  -- Добавление параметра прибора "Параметр, индицируемый во 2-й строке дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6789, 'Параметр, индицируемый во 2-й строке дисплея', '', 539, 1, 1, '40022', 268, 448);
  -- Добавление параметра прибора "Заданная плотность для РУ [кг/м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6790, 'Заданная плотность для РУ [кг/м3]', '', 539, 1, 1, '40023', 268, 448);
  -- Добавление параметра прибора "Заданная плотность для НУ [кг/м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6791, 'Заданная плотность для НУ [кг/м3]', '', 539, 1, 1, '40025', 268, 448);
  -- Добавление параметра прибора "Заданное давление [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6792, 'Заданное давление [МПа]', '', 539, 1, 1, '40027', 268, 448);
  -- Добавление параметра прибора "Атмосферное давление [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6793, 'Атмосферное давление [МПа]', '', 539, 1, 1, '40029', 268, 449);
  -- Добавление параметра прибора "Заданная температура [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6794, 'Заданная температура [С]', '', 539, 1, 1, '40031', 268, 448);
  -- Добавление параметра прибора "Нижний предел диапазона измерения параметра для частотно-импульсного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6795, 'Нижний предел диапазона измерения параметра для частотно-импульсного выхода', '', 539, 1, 1, '40033', 268, 448);
  -- Добавление параметра прибора "Верхний предел диапазона измерения параметра для частотно-импульсного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6796, 'Верхний предел диапазона измерения параметра для частотно-импульсного выхода', '', 539, 1, 1, '40035', 268, 448);
  -- Добавление параметра прибора "Порог отключения расходомера по минимальному расходу [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6797, 'Порог отключения расходомера по минимальному расходу [м3/ч]', '', 539, 1, 1, '40037', 268, 448);
  -- Добавление параметра прибора "Цена выходного импульса [л, кг]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6798, 'Цена выходного импульса [л, кг]', '', 539, 1, 1, '40039', 268, 448);
  -- Добавление параметра прибора "Отношение расхода к частоте срыва вихрей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6799, 'Отношение расхода к частоте срыва вихрей', '', 539, 1, 1, '40041', 268, 448);
  -- Добавление параметра прибора "Коэффициент коррекции на сжимаемость среды"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6800, 'Коэффициент коррекции на сжимаемость среды', '', 539, 1, 1, '40043', 268, 448);
  -- Добавление параметра прибора "Коэффициент сжимаемости в рабочих условиях"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6801, 'Коэффициент сжимаемости в рабочих условиях', '', 539, 1, 1, '40045', 268, 448);
  -- Добавление параметра прибора "Коэффициент коррекции по длине прямых участков"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6802, 'Коэффициент коррекции по длине прямых участков', '', 539, 1, 1, '40047', 268, 448);
  -- Добавление параметра прибора "Коэффициент преобразования К-фактора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6803, 'Коэффициент преобразования К-фактора', '', 539, 1, 1, '40049', 268, 448);
  -- Добавление параметра прибора "Коэффициент преобразования расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6804, 'Коэффициент преобразования расхода', '', 539, 1, 1, '40051', 268, 448);
  -- Добавление параметра прибора "Поправочный коэффициент вычисления массового расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6805, 'Поправочный коэффициент вычисления массового расхода', '', 539, 1, 1, '40053', 268, 448);
  -- Добавление параметра прибора "Минимальное зафиксированное давление измеряемой среды [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6806, 'Минимальное зафиксированное давление измеряемой среды [МПа]', '', 539, 1, 1, '40055', 268, 449);
  -- Добавление параметра прибора "Максимальное зафиксированное давление измеряемой среды [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6807, 'Максимальное зафиксированное давление измеряемой среды [МПа]', '', 539, 1, 1, '40057', 268, 449);
  -- Добавление параметра прибора "Минимальный зафиксированный объемный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6808, 'Минимальный зафиксированный объемный расход [м3/ч]', '', 539, 1, 1, '40059', 268, 449);
  -- Добавление параметра прибора "Максимальный зафиксированный объемный расход в [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6809, 'Максимальный зафиксированный объемный расход в [м3/ч]', '', 539, 1, 1, '40061', 268, 449);
  -- Добавление параметра прибора "Максимальная зафиксированная температура среды [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6810, 'Максимальная зафиксированная температура среды [С]', '', 539, 1, 1, '40063', 268, 449);
  -- Добавление параметра прибора "Сдвиг нуля датчика температуры [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6811, 'Сдвиг нуля датчика температуры [С]', '', 539, 1, 1, '40065', 268, 449);
  -- Добавление параметра прибора "Нижний предел датчика давления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6812, 'Нижний предел датчика давления', '', 539, 1, 1, '40067', 268, 448);
  -- Добавление параметра прибора "Верхний предел датчика давления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6813, 'Верхний предел датчика давления', '', 539, 1, 1, '40069', 268, 448);
  -- Добавление параметра прибора "Значение динамической вязкости в [мПа/с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6814, 'Значение динамической вязкости в [мПа/с]', '', 539, 1, 1, '40071', 268, 448);
  -- Добавление параметра прибора "Нижняя частота заграждающего фильтра 1 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6815, 'Нижняя частота заграждающего фильтра 1 [Гц]', '', 539, 1, 1, '40075', 268, 448);
  -- Добавление параметра прибора "Нижняя частота заграждающего фильтра 2 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6816, 'Нижняя частота заграждающего фильтра 2 [Гц]', '', 539, 1, 1, '40077', 268, 448);
  -- Добавление параметра прибора "Нижняя частота заграждающего фильтра 3 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6817, 'Нижняя частота заграждающего фильтра 3 [Гц]', '', 539, 1, 1, '40079', 268, 448);
  -- Добавление параметра прибора "Нижняя частота заграждающего фильтра 4 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6818, 'Нижняя частота заграждающего фильтра 4 [Гц]', '', 539, 1, 1, '40081', 268, 448);
  -- Добавление параметра прибора "Верхняя частота заграждающего фильтра 1 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6819, 'Верхняя частота заграждающего фильтра 1 [Гц]', '', 539, 1, 1, '40083', 268, 448);
  -- Добавление параметра прибора "Верхняя частота заграждающего фильтра 2 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6820, 'Верхняя частота заграждающего фильтра 2 [Гц]', '', 539, 1, 1, '40085', 268, 448);
  -- Добавление параметра прибора "Верхняя частота заграждающего фильтра 3 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6821, 'Верхняя частота заграждающего фильтра 3 [Гц]', '', 539, 1, 1, '40087', 268, 448);
  -- Добавление параметра прибора "Верхняя частота заграждающего фильтра 4 [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6822, 'Верхняя частота заграждающего фильтра 4 [Гц]', '', 539, 1, 1, '40089', 268, 448);
  -- Добавление параметра прибора "Коэффициент пропускания заграждающего фильтра 1 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6823, 'Коэффициент пропускания заграждающего фильтра 1 [%]', '', 539, 1, 1, '40091', 268, 448);
  -- Добавление параметра прибора "Коэффициент пропускания заграждающего фильтра 2 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6824, 'Коэффициент пропускания заграждающего фильтра 2 [%]', '', 539, 1, 1, '40093', 268, 448);
  -- Добавление параметра прибора "Коэффициент пропускания заграждающего фильтра 3 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6825, 'Коэффициент пропускания заграждающего фильтра 3 [%]', '', 539, 1, 1, '40095', 268, 448);
  -- Добавление параметра прибора "Коэффициент пропускания заграждающего фильтра 4 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6826, 'Коэффициент пропускания заграждающего фильтра 4 [%]', '', 539, 1, 1, '40097', 268, 448);
  -- Добавление параметра прибора "Коэффициент А квадратного уравнения амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6827, 'Коэффициент А квадратного уравнения амплитудного фильтра для жидкостей', '', 539, 1, 1, '40103', 268, 448);
  -- Добавление параметра прибора "Коэффициент В квадратного уравнения амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6828, 'Коэффициент В квадратного уравнения амплитудного фильтра для жидкостей', '', 539, 1, 1, '40101', 268, 448);
  -- Добавление параметра прибора "Коэффициент С квадратного уравнения амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6829, 'Коэффициент С квадратного уравнения амплитудного фильтра для жидкостей', '', 539, 1, 1, '40099', 268, 448);
  -- Добавление параметра прибора "Коэффициент А квадратного уравнения амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6830, 'Коэффициент А квадратного уравнения амплитудного фильтра для жидкостей', '', 539, 1, 1, '40109', 268, 448);
  -- Добавление параметра прибора "Коэффициент В квадратного уравнения амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6831, 'Коэффициент В квадратного уравнения амплитудного фильтра для жидкостей', '', 539, 1, 1, '40107', 268, 448);
  -- Добавление параметра прибора "Коэффициент С квадратного уравнения амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6832, 'Коэффициент С квадратного уравнения амплитудного фильтра для жидкостей', '', 539, 1, 1, '40105', 268, 448);
  -- Добавление параметра прибора "Нижняя частота амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6833, 'Нижняя частота амплитудного фильтра для жидкостей', '', 539, 1, 1, '40111', 268, 448);
  -- Добавление параметра прибора "Верхняя частота амплитудного фильтра для жидкостей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6834, 'Верхняя частота амплитудного фильтра для жидкостей', '', 539, 1, 1, '40113', 268, 448);
  -- Добавление параметра прибора "Коэффициент А квадратного уравнения амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6835, 'Коэффициент А квадратного уравнения амплитудного фильтра для газов', '', 539, 1, 1, '40119', 268, 448);
  -- Добавление параметра прибора "Коэффициент В квадратного уравнения амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6836, 'Коэффициент В квадратного уравнения амплитудного фильтра для газов', '', 539, 1, 1, '40117', 268, 448);
  -- Добавление параметра прибора "Коэффициент С квадратного уравнения амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6837, 'Коэффициент С квадратного уравнения амплитудного фильтра для газов', '', 539, 1, 1, '40115', 268, 448);
  -- Добавление параметра прибора "Коэффициент А квадратного уравнения амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6838, 'Коэффициент А квадратного уравнения амплитудного фильтра для газов', '', 539, 1, 1, '40125', 268, 448);
  -- Добавление параметра прибора "Коэффициент В квадратного уравнения амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6839, 'Коэффициент В квадратного уравнения амплитудного фильтра для газов', '', 539, 1, 1, '40123', 268, 448);
  -- Добавление параметра прибора "Коэффициент С квадратного уравнения амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6840, 'Коэффициент С квадратного уравнения амплитудного фильтра для газов', '', 539, 1, 1, '40121', 268, 448);
  -- Добавление параметра прибора "Нижняя частота амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6841, 'Нижняя частота амплитудного фильтра для газов', '', 539, 1, 1, '40127', 268, 448);
  -- Добавление параметра прибора "Верхняя частота амплитудного фильтра для газов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6842, 'Верхняя частота амплитудного фильтра для газов', '', 539, 1, 1, '40129', 268, 448);
  -- Добавление параметра прибора "Верхний предел диапазона частот вихреобразования [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6843, 'Верхний предел диапазона частот вихреобразования [Гц]', '', 539, 1, 1, '40887', 268, 448);
  -- Добавление параметра прибора "Пароль уровня 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6844, 'Пароль уровня 1', '', 539, 1, 1, '40893', 268, 448);
  -- Добавление параметра прибора "Пароль уровня 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6845, 'Пароль уровня 2', '', 539, 1, 1, '40895', 268, 448);
  -- Добавление параметра прибора "Пароль уровня 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6846, 'Пароль уровня 3', '', 539, 1, 1, '40897', 268, 448);
  -- Добавление параметра прибора "Пароль уровня 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6847, 'Пароль уровня 4', '', 539, 1, 1, '40899', 268, 448);
  -- Добавление параметра прибора "Пароль уровня 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6848, 'Пароль уровня 5', '', 539, 1, 1, '40901', 268, 448);
  -- Добавление параметра прибора "Величина порции дозатора [г, мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6849, 'Величина порции дозатора [г, мм]', '', 539, 1, 1, '40903', 268, 448);
  -- Добавление параметра прибора "Обнуляемый счетчик [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6850, 'Обнуляемый счетчик [мм]', '', 539, 1, 1, '40913', 268, 449);
  -- Добавление параметра прибора "Обнуляемый счетчик [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6851, 'Обнуляемый счетчик [м3]', '', 539, 1, 1, '40915', 268, 449);
  -- Добавление параметра прибора "Обнуляемый счетчик массы [г]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6852, 'Обнуляемый счетчик массы [г]', '', 539, 1, 1, '40917', 268, 449);
  -- Добавление параметра прибора "Обнуляемый счетчик массы [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6853, 'Обнуляемый счетчик массы [т]', '', 539, 1, 1, '40919', 268, 449);
  -- Добавление параметра прибора "Обнуляемый счетчик альтернативной среды [мм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6854, 'Обнуляемый счетчик альтернативной среды [мм]', '', 539, 1, 1, '40921', 268, 449);
  -- Добавление параметра прибора "Обнуляемый счетчик альтернативной среды [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6855, 'Обнуляемый счетчик альтернативной среды [м3]', '', 539, 1, 1, '40923', 268, 449);
  -- Добавление параметра прибора "Регистр отключения отдельных функций"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6856, 'Регистр отключения отдельных функций', '', 539, 1, 1, '40925', 268, 448);
  -- Добавление параметра прибора "Аддитивная поправка к показаниям датчика температуры плат"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6857, 'Аддитивная поправка к показаниям датчика температуры плат', '', 539, 1, 1, '40926', 268, 448);
  -- Добавление параметра прибора "Количество точек быстрого преобразования Фурье"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6858, 'Количество точек быстрого преобразования Фурье', '', 539, 1, 1, '40928', 268, 448);
  -- Добавление параметра прибора "Максимальная зафиксированная температура электроники [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6859, 'Максимальная зафиксированная температура электроники [С]', '', 539, 1, 1, '40929', 268, 449);
  -- Добавление параметра прибора "Минимальная зафиксированная температура электроники [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6860, 'Минимальная зафиксированная температура электроники [С]', '', 539, 1, 1, '40931', 268, 449);
  -- Добавление параметра прибора "Порог амплитуды"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6861, 'Порог амплитуды', '', 539, 1, 1, '40933', 268, 448);
  -- Добавление параметра прибора "Стандартная температура[С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6862, 'Стандартная температура[С]', '', 539, 1, 1, '40935', 268, 449);
  -- Добавление параметра прибора "Стандартное давление [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6863, 'Стандартное давление [МПа]', '', 539, 1, 1, '40937', 268, 449);
  -- Добавление параметра прибора "Идентификатор прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6864, 'Идентификатор прибора', '', 539, 1, 1, 'DEVID', 268, 448);


---- Прибор "ЭМИС-ВИХРЬ 200 v5" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (269, 'ЭМИС-ВИХРЬ 200 v5', 'Вихревой расходомер базовой версии', 128);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (540, 'Конфигурационные', 'Информация о приборе', 269, 0);
  -- Добавление параметра прибора "Идентификатор прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6865, 'Идентификатор прибора', '', 540, 1, 1, 'DEVID', 269, 448);
  -- Добавление параметра прибора "Адрес устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6866, 'Адрес устройства', '', 540, 1, 1, '30001', 269, 448);
  -- Добавление параметра прибора "Скорость обмена данными"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6867, 'Скорость обмена данными', '', 540, 1, 1, '30002', 269, 448);
  -- Добавление параметра прибора "Серийный номеp расходомера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6868, 'Серийный номеp расходомера', '', 540, 1, 1, '30003', 269, 448);
  -- Добавление параметра прибора "Вид измеряемой среды"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6869, 'Вид измеряемой среды', '', 540, 1, 1, '30004', 269, 448);
  -- Добавление параметра прибора "Время демпфирования расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6870, 'Время демпфирования расхода', '', 540, 1, 1, '30055', 269, 448);
  -- Добавление параметра прибора "Отсечка по силе сигнала"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6871, 'Отсечка по силе сигнала', '', 540, 1, 1, '30056', 269, 448);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (541, 'Текущие', '', 269, 0);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6872, 'Объём [м3]', '', 541, 1, 1, '30081', 269, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6873, 'Расход [м3/ч]', '', 541, 1, 1, '30085', 269, 385);
