-- Function: "Tepl"."DeleteArchivesFast"(text, text, timestamp without time zone, timestamp without time zone)

-- DROP FUNCTION "Tepl"."DeleteArchivesFast"(text, text, timestamp without time zone, timestamp without time zone);

CREATE OR REPLACE FUNCTION "Tepl"."DeleteArchivesFast"(param_array text, archive_array text, start_date timestamp without time zone, end_date timestamp without time zone)
  RETURNS boolean AS
$BODY$
DECLARE
  i record;
  param_data integer[];
  archive_data integer[];
BEGIN
  param_data = "Tepl"."fArr"(param_array); 
  archive_data = "Tepl"."fArr"(archive_array);
  FOR i IN SELECT * 
           FROM "Tepl"."Arhiv_cnt"
           WHERE pr_id = ANY(param_data) AND typ_arh = ANY(archive_data) AND "DateValue" >= start_date AND "DateValue" <= end_date
           LOOP
    DELETE FROM "Tepl"."Arhiv_cnt"
    WHERE pr_id = i.pr_id AND "DateValue" = i."DateValue" AND typ_arh = i.typ_arh;
    
    /*Удаляем Архивы НС */
    Delete From "Tepl"."DeviceContingencyArhiv_cnt" where pr_id=i.pr_id;
    
  END LOOP;
  RETURN TRUE; 
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."DeleteArchivesFast"(text, text, timestamp without time zone, timestamp without time zone)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteArchivesFast"(text, text, timestamp without time zone, timestamp without time zone) IS 'Быстрое удаление небольшого количества архивов';
