SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7502 AND pr_typ_id <= 7569;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (571,572,573);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 283;

---- Прибор "НЕВА МТ3" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (283, 'НЕВА МТ3', 'Трехфазный электросчетчик, 4 тарифа', 128);

---- Группа "О приборе" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (571, 'О приборе', 'Общая информация о приборе', 283, 0);
  -- Добавление параметра прибора "Адрес счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7502, 'Адрес счетчика', '', 571, 1, 1, '600101FF', 283, 448);
  -- Добавление параметра прибора "ID счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7503, 'ID счетчика', '', 571, 1, 1, '600100FF', 283, 448);
  -- Добавление параметра прибора "Модель счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7504, 'Модель счетчика', '', 571, 1, 1, '600104FF', 283, 448);
  -- Добавление параметра прибора "Место установки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7505, 'Место установки', '', 571, 1, 1, '60010AFF', 283, 448);
  -- Добавление параметра прибора "Сезонное время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7506, 'Сезонное время', '', 571, 1, 1, '000802FF', 283, 448);
  -- Добавление параметра прибора "Дата и время фиксации показаний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7507, 'Дата и время фиксации показаний', '', 571, 1, 1, '000806FF', 283, 448);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (572, 'Текущие', '', 283, 0);
  -- Добавление параметра прибора "Температура, C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7508, 'Температура, C', '', 572, 1, 1, '600900FF', 283, 385);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7509, 'Дата и время', '', 572, 1, 1, 'D', 283, 385);
  -- Добавление параметра прибора "Частота, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7510, 'Частота, Гц', '', 572, 1, 1, '0E0701FF', 283, 385);
  -- Добавление параметра прибора "Лимит мощности, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7511, 'Лимит мощности, Вт', '', 572, 1, 1, '000502FF', 283, 385);
  -- Добавление параметра прибора "[Ф1] Сила тока, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7512, '[Ф1] Сила тока, А', '', 572, 1, 1, '1F0700FF', 283, 385);
  -- Добавление параметра прибора "[Ф2] Сила тока, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7513, '[Ф2] Сила тока, А', '', 572, 1, 1, '330700FF', 283, 385);
  -- Добавление параметра прибора "[Ф3] Сила тока, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7514, '[Ф3] Сила тока, А', '', 572, 1, 1, '470700FF', 283, 385);
  -- Добавление параметра прибора "[Ф1] Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7515, '[Ф1] Напряжение, В', '', 572, 1, 1, '200700FF', 283, 385);
  -- Добавление параметра прибора "[Ф2] Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7516, '[Ф2] Напряжение, В', '', 572, 1, 1, '340700FF', 283, 385);
  -- Добавление параметра прибора "[Ф3] Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7517, '[Ф3] Напряжение, В', '', 572, 1, 1, '480700FF', 283, 385);
  -- Добавление параметра прибора "+ Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7518, '+ Реактивная мощность, Вар', '', 572, 1, 1, '030701FF', 283, 385);
  -- Добавление параметра прибора "[Ф1] + Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7519, '[Ф1] + Реактивная мощность, Вар', '', 572, 1, 1, '170701FF', 283, 385);
  -- Добавление параметра прибора "[Ф2] + Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7520, '[Ф2] + Реактивная мощность, Вар', '', 572, 1, 1, '2B0701FF', 283, 385);
  -- Добавление параметра прибора "[Ф3] + Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7521, '[Ф3] + Реактивная мощность, Вар', '', 572, 1, 1, '3F0701FF', 283, 385);
  -- Добавление параметра прибора "- Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7522, '- Реактивная мощность, Вар', '', 572, 1, 1, '040701FF', 283, 385);
  -- Добавление параметра прибора "[Ф1] - Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7523, '[Ф1] - Реактивная мощность, Вар', '', 572, 1, 1, '180701FF', 283, 385);
  -- Добавление параметра прибора "[Ф2] - Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7524, '[Ф2] - Реактивная мощность, Вар', '', 572, 1, 1, '2C0701FF', 283, 385);
  -- Добавление параметра прибора "[Ф3] - Реактивная мощность, Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7525, '[Ф3] - Реактивная мощность, Вар', '', 572, 1, 1, '400701FF', 283, 385);
  -- Добавление параметра прибора "Фактор активной мощности все фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7526, 'Фактор активной мощности все фазы', '', 572, 1, 1, '0D07FFFF', 283, 385);
  -- Добавление параметра прибора "[Ф1] Фактор активной мощности все фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7527, '[Ф1] Фактор активной мощности все фазы', '', 572, 1, 1, '2107FFFF', 283, 385);
  -- Добавление параметра прибора "[Ф2] Фактор активной мощности все фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7528, '[Ф2] Фактор активной мощности все фазы', '', 572, 1, 1, '3507FFFF', 283, 385);
  -- Добавление параметра прибора "[Ф3] Фактор активной мощности все фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7529, '[Ф3] Фактор активной мощности все фазы', '', 572, 1, 1, '4907FFFF', 283, 385);
  -- Добавление параметра прибора "Угол между фазами 1 и 2, Град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7530, 'Угол между фазами 1 и 2, Град', '', 572, 1, 1, '51070AFF', 283, 385);
  -- Добавление параметра прибора "Угол между фазами 1 и 3, Град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7531, 'Угол между фазами 1 и 3, Град', '', 572, 1, 1, '510714FF', 283, 385);
  -- Добавление параметра прибора "Угол между фазами 2 и 3, Град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7532, 'Угол между фазами 2 и 3, Град', '', 572, 1, 1, '510715FF', 283, 385);
  -- Добавление параметра прибора "Активная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7533, 'Активная мощность, Вт', '', 572, 1, 1, '100700FF', 283, 385);
  -- Добавление параметра прибора "[Ф1] Активная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7534, '[Ф1] Активная мощность, Вт', '', 572, 1, 1, '240700FF', 283, 385);
  -- Добавление параметра прибора "[Ф2] Активная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7535, '[Ф2] Активная мощность, Вт', '', 572, 1, 1, '380700FF', 283, 385);
  -- Добавление параметра прибора "[Ф3] Активная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7536, '[Ф3] Активная мощность, Вт', '', 572, 1, 1, '4C0700FF', 283, 385);

---- Группа "Энергетика" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (573, 'Энергетика', '', 283, 0);
  -- Добавление параметра прибора "Активная энергия, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7537, 'Активная энергия, кВт/ч', '', 573, 1, 1, '0F0880FF$0', 283, 397);
  -- Добавление параметра прибора "[Т1] Активная энергия, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7538, '[Т1] Активная энергия, кВт/ч', '', 573, 1, 1, '0F0880FF$1', 283, 397);
  -- Добавление параметра прибора "[Т2] Активная энергия, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7539, '[Т2] Активная энергия, кВт/ч', '', 573, 1, 1, '0F0880FF$2', 283, 397);
  -- Добавление параметра прибора "[Т3] Активная энергия, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7540, '[Т3] Активная энергия, кВт/ч', '', 573, 1, 1, '0F0880FF$3', 283, 397);
  -- Добавление параметра прибора "[Т4] Активная энергия, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7541, '[Т4] Активная энергия, кВт/ч', '', 573, 1, 1, '0F0880FF$4', 283, 397);
  -- Добавление параметра прибора "+ Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7542, '+ Реактивная энергия, кВар/ч', '', 573, 1, 1, '030880FF$0', 283, 397);
  -- Добавление параметра прибора "[Т1] + Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7543, '[Т1] + Реактивная энергия, кВар/ч', '', 573, 1, 1, '030880FF$1', 283, 397);
  -- Добавление параметра прибора "[Т2] + Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7544, '[Т2] + Реактивная энергия, кВар/ч', '', 573, 1, 1, '030880FF$2', 283, 397);
  -- Добавление параметра прибора "[Т3] + Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7545, '[Т3] + Реактивная энергия, кВар/ч', '', 573, 1, 1, '030880FF$3', 283, 397);
  -- Добавление параметра прибора "[Т4] + Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7546, '[Т4] + Реактивная энергия, кВар/ч', '', 573, 1, 1, '030880FF$4', 283, 397);
  -- Добавление параметра прибора "- Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7547, '- Реактивная энергия, кВар/ч', '', 573, 1, 1, '040880FF$0', 283, 397);
  -- Добавление параметра прибора "[Т1] - Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7548, '[Т1] - Реактивная энергия, кВар/ч', '', 573, 1, 1, '040880FF$1', 283, 397);
  -- Добавление параметра прибора "[Т2] - Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7549, '[Т2] - Реактивная энергия, кВар/ч', '', 573, 1, 1, '040880FF$2', 283, 397);
  -- Добавление параметра прибора "[Т3] - Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7550, '[Т3] - Реактивная энергия, кВар/ч', '', 573, 1, 1, '040880FF$3', 283, 397);
  -- Добавление параметра прибора "[Т4] - Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7551, '[Т4] - Реактивная энергия, кВар/ч', '', 573, 1, 1, '040880FF$4', 283, 397);
  -- Добавление параметра прибора "Макс. активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7552, 'Макс. активная мощность, кВт', '', 573, 1, 1, '0F0680FF$0', 283, 393);
  -- Добавление параметра прибора "[T1] Макс. активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7553, '[T1] Макс. активная мощность, кВт', '', 573, 1, 1, '0F0680FF$1', 283, 393);
  -- Добавление параметра прибора "[T2] Макс. активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7554, '[T2] Макс. активная мощность, кВт', '', 573, 1, 1, '0F0680FF$2', 283, 393);
  -- Добавление параметра прибора "[T3] Макс. активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7555, '[T3] Макс. активная мощность, кВт', '', 573, 1, 1, '0F0680FF$3', 283, 393);
  -- Добавление параметра прибора "[T4] Макс. активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7556, '[T4] Макс. активная мощность, кВт', '', 573, 1, 1, '0F0680FF$4', 283, 393);
  -- Добавление параметра прибора "+ Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7557, '+ Макс. реактивная мощность, кВар', '', 573, 1, 1, '030680FF$0', 283, 393);
  -- Добавление параметра прибора "[T1] + Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7558, '[T1] + Макс. реактивная мощность, кВар', '', 573, 1, 1, '030680FF$1', 283, 393);
  -- Добавление параметра прибора "[T2]  +Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7559, '[T2]  +Макс. реактивная мощность, кВар', '', 573, 1, 1, '030680FF$2', 283, 393);
  -- Добавление параметра прибора "[T3]  +Макс. реактивна ямощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7560, '[T3]  +Макс. реактивна ямощность, кВар', '', 573, 1, 1, '030680FF$3', 283, 393);
  -- Добавление параметра прибора "[T4] + Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7561, '[T4] + Макс. реактивная мощность, кВар', '', 573, 1, 1, '030680FF$4', 283, 393);
  -- Добавление параметра прибора "- Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7562, '- Макс. реактивная мощность, кВар', '', 573, 1, 1, '040680FF$0', 283, 393);
  -- Добавление параметра прибора "[T1] - Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7563, '[T1] - Макс. реактивная мощность, кВар', '', 573, 1, 1, '040680FF$1', 283, 393);
  -- Добавление параметра прибора "[T2]  - Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7564, '[T2]  - Макс. реактивная мощность, кВар', '', 573, 1, 1, '040680FF$2', 283, 393);
  -- Добавление параметра прибора "[T3]  - Макс. реактивна ямощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7565, '[T3]  - Макс. реактивна ямощность, кВар', '', 573, 1, 1, '040680FF$3', 283, 393);
  -- Добавление параметра прибора "[T4] - Макс. реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7566, '[T4] - Макс. реактивная мощность, кВар', '', 573, 1, 1, '040680FF$4', 283, 393);
  -- Добавление параметра прибора "[П] Активная энергия, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7567, '[П] Активная энергия, кВт/ч', '', 573, 1, 1, '63010000', 283, 400);
  -- Добавление параметра прибора "[П] + Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7568, '[П] + Реактивная энергия, кВар/ч', '', 573, 1, 1, '63010100', 283, 400);
  -- Добавление параметра прибора "[П] - Реактивная энергия, кВар/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7569, '[П] - Реактивная энергия, кВар/ч', '', 573, 1, 1, '63010200', 283, 400);
