SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7753 AND pr_typ_id <= 7817;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (586, 587);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 287;

---- Прибор "CORUS" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (287, 'CORUS', 'Газовый коррекор', 128);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (586, 'Параметры', 'Текущие показания прибора', 287, 0);

  -- Добавление параметра прибора "Base pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7753, 'Base pressure', '', 586, 1, 1, 'MCRP', 287, 385);
  -- Добавление параметра прибора "Gas superior heating value under normal conditions"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7754, 'Gas superior heating value under normal conditions', '', 586, 1, 1, 'MZP', 287, 385);
  -- Добавление параметра прибора "AGANX19 reference pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7755, 'AGANX19 reference pressure', '', 586, 1, 1, 'MZAP', 287, 385);
  -- Добавление параметра прибора "AGANX19 reference temperature"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7756, 'AGANX19 reference temperature', '', 586, 1, 1, 'MZAT', 287, 385);
  -- Добавление параметра прибора "Gas fixed relative pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7757, 'Gas fixed relative pressure', '', 586, 1, 1, 'MPF', 287, 385);
  -- Добавление параметра прибора "Base temperature"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7758, 'Base temperature', '', 586, 1, 1, 'MCRT', 287, 385);
  -- Добавление параметра прибора "Gas Z array coefficients"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7759, 'Gas Z array coefficients', '', 586, 1, 1, 'MZC', 287, 385);
  -- Добавление параметра прибора "Gas CO2 mole fraction"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7760, 'Gas CO2 mole fraction', '', 586, 1, 1, 'MZCO2', 287, 385);
  -- Добавление параметра прибора "Gas H2 mole fraction"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7761, 'Gas H2 mole fraction', '', 586, 1, 1, 'MZH2', 287, 257);
  -- Добавление параметра прибора "Gas N2 mole fraction"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7762, 'Gas N2 mole fraction', '', 586, 1, 1, 'MZN2', 287, 385);
  -- Добавление параметра прибора "Battery autonomy counter"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7763, 'Battery autonomy counter', '', 586, 1, 1, 'XSBR', 287, 385);
  -- Добавление параметра прибора "Pressure low threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7764, 'Pressure low threshold alarm', '', 586, 1, 1, 'APL', 287, 385);
  -- Добавление параметра прибора "Pressure high threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7765, 'Pressure high threshold alarm', '', 586, 1, 1, 'APH', 287, 385);
  -- Добавление параметра прибора "Pressure failure alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7766, 'Pressure failure alarm', '', 586, 1, 1, 'APF', 287, 385);
  -- Добавление параметра прибора "Temperature low threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7767, 'Temperature low threshold alarm', '', 586, 1, 1, 'ATL', 287, 385);
  -- Добавление параметра прибора "Temperature high threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7768, 'Temperature high threshold alarm', '', 586, 1, 1, 'ATH', 287, 385);
  -- Добавление параметра прибора "Temperature failure alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7769, 'Temperature failure alarm', '', 586, 1, 1, 'ATF', 287, 385);
  -- Добавление параметра прибора "Pulse inputs coherence alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7770, 'Pulse inputs coherence alarm', '', 586, 1, 1, 'AIC', 287, 385);
  -- Добавление параметра прибора "Tamper input coherence alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7771, 'Tamper input coherence alarm', '', 586, 1, 1, 'AIT', 287, 385);
  -- Добавление параметра прибора "On/Off input #1 alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7772, 'On/Off input #1 alarm', '', 586, 1, 1, 'AIO1', 287, 385);
  -- Добавление параметра прибора "On/Off input #2 alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7773, 'On/Off input #2 alarm', '', 586, 1, 1, 'AIO2', 287, 385);
  -- Добавление параметра прибора "Raw flow low threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7774, 'Raw flow low threshold alarm', '', 586, 1, 1, 'AFRL', 287, 385);
  -- Добавление параметра прибора "Raw flow high threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7775, 'Raw flow high threshold alarm', '', 586, 1, 1, 'AFRH', 287, 385);
  -- Добавление параметра прибора "Base flow low threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7776, 'Base flow low threshold alarm', '', 586, 1, 1, 'AFBL', 287, 385);
  -- Добавление параметра прибора "Base flow high threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7777, 'Base flow high threshold alarm', '', 586, 1, 1, 'AFBH', 287, 385);
  -- Добавление параметра прибора "Conversion factor low threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7778, 'Conversion factor low threshold alarm', '', 586, 1, 1, 'ACL', 287, 385);
  -- Добавление параметра прибора "Conversion factor high threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7779, 'Conversion factor high threshold alarm', '', 586, 1, 1, 'ACH', 287, 385);
  -- Добавление параметра прибора "Battery life alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7780, 'Battery life alarm', '', 586, 1, 1, 'ASB', 287, 385);
  -- Добавление параметра прибора "External power supply alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7781, 'External power supply alarm', '', 586, 1, 1, 'ASE', 287, 385);
  -- Добавление параметра прибора "Base consumption threshold alarm"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7782, 'Base consumption threshold alarm', '', 586, 1, 1, 'AVC', 287, 385);
  -- Добавление параметра прибора "Active alarms status word"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7783, 'Active alarms status word', '', 586, 1, 1, 'AXA', 287, 385);
  -- Добавление параметра прибора "Memorised alarms status word"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7784, 'Memorised alarms status word', '', 586, 1, 1, 'AXM', 287, 385);
  -- Добавление параметра прибора "Total base counter"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7785, 'Total base counter', '', 586, 1, 1, 'MVBC', 287, 385);
  -- Добавление параметра прибора "Gas instantaneous raw flow"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7786, 'Gas instantaneous raw flow', '', 586, 1, 1, 'MFRG', 287, 385);
  -- Добавление параметра прибора "Gas instantaneous base flow"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7787, 'Gas instantaneous base flow', '', 586, 1, 1, 'MFBG', 287, 385);
  -- Добавление параметра прибора "Gas temperature"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7788, 'Gas temperature', '', 586, 1, 1, 'MTG', 287, 385);
  -- Добавление параметра прибора "Gas pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7789, 'Gas pressure', '', 586, 1, 1, 'MPG', 287, 385);
  -- Добавление параметра прибора "Gas conversion factor"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7790, 'Gas conversion factor', '', 586, 1, 1, 'MCM', 287, 385);
  -- Добавление параметра прибора "Gas compressibility ratio"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7791, 'Gas compressibility ratio', '', 586, 1, 1, 'MZR', 287, 385);
  -- Добавление параметра прибора "Base consumption"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7792, 'Base consumption', '', 586, 1, 1, 'MVBI_C', 287, 385);
  -- Добавление параметра прибора "Current date and time"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7793, 'Current date and time', '', 586, 1, 1, 'D', 287, 385);
  -- Добавление параметра прибора "Raw index"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7794, 'Raw index', '', 586, 1, 1, 'MVRI', 287, 385);
  -- Добавление параметра прибора "Base index"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7795, 'Base index', '', 586, 1, 1, 'MVBI', 287, 385);
  -- Добавление параметра прибора "Under alarm raw counter"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7796, 'Under alarm raw counter', '', 586, 1, 1, 'MVRC', 287, 385);

---- Группа "Архивы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (587, 'Архивы', 'Архивные показания прибора', 287, 0);

  -- Добавление параметра прибора "Status"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7797, 'Status', '', 587, 1, 1, 'STS', 287, 128);
  -- Добавление параметра прибора "Unconverted consumption"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7798, 'Unconverted consumption', '', 587, 1, 1, 'UCVCS', 287, 398);
  -- Добавление параметра прибора "Converted consumption"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7799, 'Converted consumption', '', 587, 1, 1, 'CVCS', 287, 398);
  -- Добавление параметра прибора "Unconverted counter (AI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7800, 'Unconverted counter (AI)', '', 587, 1, 1, 'UCVCC', 287, 398);
  -- Добавление параметра прибора "Converted counter (AI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7801, 'Converted counter (AI)', '', 587, 1, 1, 'CVCC', 287, 398);
  -- Добавление параметра прибора "Minimum Temperature"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7802, 'Minimum Temperature', '', 587, 1, 1, 'TMPMI', 287, 398);
  -- Добавление параметра прибора "Maximum Temperature"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7803, 'Maximum Temperature', '', 587, 1, 1, 'TMPMA', 287, 398);
  -- Добавление параметра прибора "Average Temperature"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7804, 'Average Temperature', '', 587, 1, 1, 'TMPAG', 287, 398);
  -- Добавление параметра прибора "Minimum Pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7805, 'Minimum Pressure', '', 587, 1, 1, 'PLSMI', 287, 398);
  -- Добавление параметра прибора "Maximum Pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7806, 'Maximum Pressure', '', 587, 1, 1, 'PLSMA', 287, 398);
  -- Добавление параметра прибора "Average Pressure"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7807, 'Average Pressure', '', 587, 1, 1, 'PLSAG', 287, 398);
  -- Добавление параметра прибора "Minimum unconverted flowrate"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7808, 'Minimum unconverted flowrate', '', 587, 1, 1, 'UFLWMI', 287, 398);
  -- Добавление параметра прибора "Maximum unconverted flowrate"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7809, 'Maximum unconverted flowrate', '', 587, 1, 1, 'UFLWMA', 287, 398);
  -- Добавление параметра прибора "Minimum converted flowrate"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7810, 'Minimum converted flowrate', '', 587, 1, 1, 'FLWMI', 287, 398);
  -- Добавление параметра прибора "Maximum converted flowrate"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7811, 'Maximum converted flowrate', '', 587, 1, 1, 'FLWMA', 287, 398);
  -- Добавление параметра прибора "Average unconverted flowrate"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7812, 'Average unconverted flowrate', '', 587, 1, 1, 'UFLWAG', 287, 398);
  -- Добавление параметра прибора "Average converted flowrate"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7813, 'Average converted flowrate', '', 587, 1, 1, 'FLWAG', 287, 398);
  -- Добавление параметра прибора "EOM Unconverted Index"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7814, 'EOM Unconverted Index', '', 587, 1, 1, 'UIEOM', 287, 392);
  -- Добавление параметра прибора "EOM Converted Index"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7815, 'EOM Converted Index', '', 587, 1, 1, 'IEOM', 287, 392);
  -- Добавление параметра прибора "EOM Unconverted Counter (AL)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7816, 'EOM Unconverted Counter (AL)', '', 587, 1, 1, 'UCEOM', 287, 392);
  -- Добавление параметра прибора "EOM Converted Counter (AL)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7817, 'EOM Converted Counter (AL)', '', 587, 1, 1, 'CEOM', 287, 392);
