SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7921 AND pr_typ_id <= 7933;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (591, 592);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 291;

---- Прибор "Techem Compact IV" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (291, 'Techem Compact IV', 'Теплосчетчик M-bus', 128);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (591, 'Настроечные', 'Информация о приборе', 291, 0);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7921, 'Серийный номер', '', 591, 1, 1, 'hdr_ident', 291, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7922, 'Код производителя', '', 591, 1, 1, 'hdr_manuf', 291, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7923, 'Версия прибора', '', 591, 1, 1, 'hdr_version', 291, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7924, 'Категория', '', 591, 1, 1, 'hdr_medium', 291, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7925, 'Счетчик доступа', '', 591, 1, 1, 'hdr_access', 291, 448);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7926, 'Ошибки', '', 591, 1, 1, 'hdr_status', 291, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (592, 'Показания', 'Текущие и архивные показания прибора', 291, 0);
  -- Добавление параметра прибора "Энергия [Вт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7927, 'Энергия [Вт*ч]', '', 592, 1, 1, 'E', 291, 385);
  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7928, 'Объем [м3]', '', 592, 1, 1, 'Q', 291, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7929, 'Температура, подача [С]', '', 592, 1, 1, 'TF', 291, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7930, 'Температура, обратка [С]', '', 592, 1, 1, 'TR', 291, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7931, 'Температура, перепад [К]', '', 592, 1, 1, 'TD', 291, 385);
  -- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7932, 'Мощность [Вт]', '', 592, 1, 1, 'W', 291, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7933, 'Расход [м3/ч]', '', 592, 1, 1, 'QM', 291, 385);
