
SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8176 AND pr_typ_id <= 8214;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 611 AND gr_typ_id <= 614;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 295;
DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8215 AND pr_typ_id <= 8227;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 615 AND gr_typ_id <= 616;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 296;

---- Прибор "Счетчик воды "ВВ" v6" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (295, 'Счетчик воды "ВВ" v6', 'Электронный счетный механизм', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (611, 'Каналы', 'Текущие и архивируемые каналы прибора', 295, 0);

  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8176, 'Объем [м3]', '', 611, 1, 1, 'K8', 295, 143);
  -- Добавление параметра прибора "Имп. вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8177, 'Имп. вход 1 [м3]', '', 611, 1, 1, 'K10', 295, 129);
  -- Добавление параметра прибора "Имп. вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8178, 'Имп. вход 2 [м3]', '', 611, 1, 1, 'K11', 295, 129);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8179, 'Расход [м3/ч]', '', 611, 1, 1, 'K9', 295, 385);
  -- Добавление параметра прибора "Температура прибора [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8180, 'Температура прибора [C]', '', 611, 1, 1, 'K12', 295, 385);
  -- Добавление параметра прибора "Кол. сбросов, флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8181, 'Кол. сбросов, флаги ошибок', '', 611, 1, 1, 'K13', 295, 448);
  -- Добавление параметра прибора "Напряжение батареи [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8182, 'Напряжение батареи [В]', '', 611, 1, 1, 'NPARAM0A', 295, 385);

---- Группа "Тестирование" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (612, 'Тестирование', 'Каналы для тестирования прибора', 295, 611);

  -- Добавление параметра прибора "Частота импульсов [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8183, 'Частота импульсов [Гц]', '', 612, 1, 1, 'K15', 295, 320);
  -- Добавление параметра прибора "Тестовый объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8184, 'Тестовый объем [м3]', '', 612, 1, 1, 'K16', 295, 320);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8185, 'Тестовый расход [м3/ч]', '', 612, 1, 1, 'K17', 295, 320);
  -- Добавление параметра прибора "Время теста [с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8186, 'Время теста [с]', '', 612, 1, 1, 'K18', 295, 320);
  -- Добавление параметра прибора "Тестовый расход без лин. [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8187, 'Тестовый расход без лин. [м3/ч]', '', 612, 1, 1, 'K19', 295, 320);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (613, 'Параметры', 'Настройка прибора', 295, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8188, 'Дата и время', '', 613, 1, 1, 'D', 295, 129);
  -- Добавление параметра прибора "Сетевой адрес прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8189, 'Сетевой адрес прибора', '', 613, 1, 1, 'NPARAM02', 295, 192);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8190, 'Версия прошивки', '', 613, 1, 1, 'NPARAM05', 295, 448);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8191, 'Ошибки', '', 613, 1, 1, 'NPARAM06', 295, 448);
  -- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8192, 'Количество сбросов', '', 613, 1, 1, 'NPARAM07', 295, 128);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8193, 'Запись разрешена аппаратно', '', 613, 1, 1, 'NPARAM08', 295, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8194, 'Запись разрешена программно', '', 613, 1, 1, 'NPARAM09', 295, 448);
  -- Добавление параметра прибора "Последний RSSI [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8195, 'Последний RSSI [дБм]', '', 613, 1, 1, 'NPARAM0C', 295, 448);
  -- Добавление параметра прибора "Объем на оборот крыльчатки [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8196, 'Объем на оборот крыльчатки [л/имп]', '', 613, 1, 1, 'NPARAM13', 295, 192);
  -- Добавление параметра прибора "Вес импульса вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8197, 'Вес импульса вход 1 [м3]', '', 613, 1, 1, 'NPARAM20', 295, 192);
  -- Добавление параметра прибора "Длит. импульса. вход 1 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8198, 'Длит. импульса. вход 1 [мс]', '', 613, 1, 1, 'NPARAM21', 295, 192);
  -- Добавление параметра прибора "Длит. паузы вход 1 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8199, 'Длит. паузы вход 1 [мс]', '', 613, 1, 1, 'NPARAM22', 295, 192);
  -- Добавление параметра прибора "Вес импульса вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8200, 'Вес импульса вход 2 [м3]', '', 613, 1, 1, 'NPARAM23', 295, 192);
  -- Добавление параметра прибора "Длит. импульса вход 2 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8201, 'Длит. импульса вход 2 [мс]', '', 613, 1, 1, 'NPARAM24', 295, 192);
  -- Добавление параметра прибора "Длит. паузы вход 2 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8202, 'Длит. паузы вход 2 [мс]', '', 613, 1, 1, 'NPARAM25', 295, 192);
  -- Добавление параметра прибора "Вес импульса выхода [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8203, 'Вес импульса выхода [м3]', '', 613, 1, 1, 'NPARAM26', 295, 192);
  -- Добавление параметра прибора "Длит. импульса выхода [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8204, 'Длит. импульса выхода [мс]', '', 613, 1, 1, 'NPARAM27', 295, 192);
  -- Добавление параметра прибора "Сетевой адрес M-bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8205, 'Сетевой адрес M-bus', '', 613, 1, 1, 'NPARAM28', 295, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (614, 'Наладка', '', 295, 613);

  -- Добавление параметра прибора "Автопереход зима/лето [0-нет/1-да]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8206, 'Автопереход зима/лето [0-нет/1-да]', '', 614, 1, 1, 'NPARAM01', 295, 64);
  -- Добавление параметра прибора "Частота XtalLF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8207, 'Частота XtalLF [Гц]', '', 614, 1, 1, 'NPARAM03', 295, 64);
  -- Добавление параметра прибора "Частота XtalRF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8208, 'Частота XtalRF [МГц]', '', 614, 1, 1, 'NPARAM04', 295, 64);
  -- Добавление параметра прибора "Модуль RF установлен [0-нет/1]-да"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8209, 'Модуль RF установлен [0-нет/1]-да', '', 614, 1, 1, 'NPARAM0D', 295, 64);
  -- Добавление параметра прибора "Расход по эталону [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8210, 'Расход по эталону [м3/ч]', '', 614, 1, 1, 'NPARAM14', 295, 64);
  -- Добавление параметра прибора "Линеаризация [0-выкл/1-вкл]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8211, 'Линеаризация [0-выкл/1-вкл]', '', 614, 1, 1, 'NPARAM15', 295, 64);
  -- Добавление параметра прибора "Диагностика [0-стоп/1-старт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8212, 'Диагностика [0-стоп/1-старт]', '', 614, 1, 1, 'NPARAM50', 295, 64);
  -- Добавление параметра прибора "Тест расхода (1-старт/2-обновление)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8213, 'Тест расхода (1-старт/2-обновление)', '', 614, 1, 1, 'NPARAM52', 295, 64);
  -- Добавление параметра прибора "RF таймаут теста [0..30 с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8214, 'RF таймаут теста [0..30 с]', '', 614, 1, 1, 'NPARAM58', 295, 64);


---- Прибор "Счетчик воды "ВВ" M-Bus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (296, 'Счетчик воды "ВВ" M-Bus', 'Электронный счетный механизм с интерфейсом M-Bus', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (615, 'Информационные', 'Информация о приборе', 296, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8215, 'Дата и время', '', 615, 1, 1, 'D', 296, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8216, 'Серийный номер', '', 615, 1, 1, 'hdr_ident', 296, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8217, 'Код производителя', '', 615, 1, 1, 'hdr_manuf', 296, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8218, 'Версия прибора', '', 615, 1, 1, 'hdr_version', 296, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8219, 'Категория', '', 615, 1, 1, 'hdr_medium', 296, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8220, 'Счетчик доступа', '', 615, 1, 1, 'hdr_access', 296, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8221, 'Статус прибора', '', 615, 1, 1, 'hdr_status', 296, 448);
  -- Добавление параметра прибора "Первичный адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8222, 'Первичный адрес', '', 615, 1, 1, 'NT', 296, 448);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8223, 'Флаги ошибок', '', 615, 1, 1, 'SE', 296, 449);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (616, 'Показания', 'Текущие и архивные показания прибора', 296, 0);

  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8224, 'Объем [м3]', '', 616, 1, 1, 'Q', 296, 395);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8225, 'Расход [м3/ч]', '', 616, 1, 1, 'QM', 296, 385);
  -- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8226, 'Импульсный вход 1 [м3]', '', 616, 1, 1, 'Q1', 296, 385);
  -- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8227, 'Импульсный вход 2 [м3]', '', 616, 1, 1, 'Q2', 296, 385);
