﻿SET client_encoding = 'UTF-8';

/*----   Видимость приборов и их параметров   ----*/

CREATE OR REPLACE FUNCTION "Tepl"."UpdateColumn" () RETURNS "pg_catalog"."void" AS
$body$
DECLARE
 
BEGIN

ALTER TABLE "Tepl"."DeviceTypeParametr" ADD COLUMN "SupportData" integer;
COMMENT ON COLUMN "Tepl"."DeviceTypeParametr"."SupportData" IS 'Поддерживаемые типы данных. Побитно.
0 - текущие, 1- часовой, 2 - суточные, 3 - месячные, 4 - получасовой, 5 - настраеваемый, 6 -конфигурационный параметр, 7- видимость параметраый';

return;
exception
 when OTHERS then
      return;
END;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;


Select "Tepl"."UpdateColumn"();


CREATE OR REPLACE FUNCTION "Tepl"."GetInfoTypeParametr"()
  RETURNS SETOF "Tepl"."TToTo" AS
$BODY$
SELECT 
  "Tepl"."DeviceTypeParametr".pr_typ_id,
  "Tepl"."DeviceTypeParametr"."SupportData"
FROM
  "Tepl"."DeviceTypeParametr"
$BODY$
  LANGUAGE sql VOLATILE;
ALTER FUNCTION "Tepl"."GetInfoTypeParametr"()
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetInfoTypeParametr"() IS 'Вывод инфо поля для параметра прибора';


ALTER TABLE "Tepl"."TypeDevices" ADD COLUMN "AdditionInfo" integer;

CREATE OR REPLACE FUNCTION "Tepl"."GetAdditInfoTypeDev"()
  RETURNS SETOF "Tepl"."TToTo" AS
$BODY$
SELECT 
  "Tepl"."TypeDevices".dev_typ_id,
  "Tepl"."TypeDevices"."AdditionInfo"
FROM
  "Tepl"."TypeDevices"
$BODY$
  LANGUAGE sql VOLATILE;
ALTER FUNCTION "Tepl"."GetAdditInfoTypeDev"()
  OWNER TO postgres;


CREATE OR REPLACE FUNCTION "Tepl"."UpdateTypeDevice"("pName" text, "pComment" text, "pAdditionInfo" integer, pdev_typ_id integer)
  RETURNS void AS
$BODY$
UPDATE 
  "Tepl"."TypeDevices"  
SET 
  "Name" = $1,
  "Comment" = $2,
  "AdditionInfo" = $3
 
WHERE 
  dev_typ_id = $4;
$BODY$
  LANGUAGE sql VOLATILE;
ALTER FUNCTION "Tepl"."UpdateTypeDevice"(text, text, integer, integer)
  OWNER TO postgres;


CREATE OR REPLACE FUNCTION "Tepl"."UpdateTypeParametrDevice"("pName" text, "pComment" text, pgr_typ_id integer, "ptyp_dat_Curr" integer, "ptyp_dat_Arh" integer, "pNameP2" text, pdev_typ_id integer, "pSupportData" integer, ppr_typ_id integer)
  RETURNS void AS
$BODY$
UPDATE 
  "Tepl"."DeviceTypeParametr"  
SET 
  "Name" = $1,
  "Comment" = $2,
  gr_typ_id = $3,
  "typ_dat_Curr" = $4,
  "typ_dat_Arh" = $5,
  "NameP2" = $6,
  dev_typ_id = $7,
  "SupportData" = $8 
WHERE 
  pr_typ_id = $9;
$BODY$
  LANGUAGE sql VOLATILE;
ALTER FUNCTION "Tepl"."UpdateTypeParametrDevice"(text, text, integer, integer, integer, text, integer, integer, integer)
  OWNER TO postgres;
