CREATE TABLE "Tepl"."AutoReportTask_cnt" (
  tsk_id INTEGER NOT NULL,
  plc_id INTEGER NOT NULL,
  rep_id INTEGER NOT NULL,
  typ_arh INTEGER NOT NULL,
  directory TEXT,
  emails TEXT,
  aktiv_tsk BOOLEAN DEFAULT true,
  date_start TIMESTAMP WITH TIME ZONE,
  CONSTRAINT "AutoReportTask_cnt_pkey" PRIMARY KEY(tsk_id)
) 
WITH (oids = false);

CREATE INDEX "AutoReportTaskIndex" ON "Tepl"."AutoReportTask_cnt"
  USING btree (plc_id);
  
-------------------------------------------------------------------

CREATE OR REPLACE FUNCTION "Tepl"."GetAutoReportTaskPlc" (
  pplc_id text
)
RETURNS SETOF "Tepl"."AutoReportTask_cnt" AS
$body$
declare
  plcs INTEGER[];
  tsk  "Tepl"."AutoReportTask_cnt"; 
Begin
  plcs="Tepl"."fArr"($1);
  FOR tsk in SELECT 
				"Tepl"."AutoReportTask_cnt".*
			FROM
  				"Tepl"."AutoReportTask_cnt"

			Where "Tepl"."AutoReportTask_cnt".plc_id=ANY(plcs)
        Loop
      return NEXT tsk;
   end loop;       
end;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
COST 100 ROWS 1000;
----------------------------------------------------------------
				
CREATE OR REPLACE FUNCTION "Tepl"."InsertAutoReportTask" (
  pplc_id text,
  prep_id text,
  ptyp_arh text,
  "pDirectories" text,
  "pEmails" text,
  "pDateStarts" text
)
RETURNS text AS
$body$
DECLARE
  i integer;
  n integer;
  maxp integer;  
  ret text; 

  PlcIds INTEGER[];  
  RepIds INTEGER[]; 
  TypArh INTEGER[];  
  Directories text[];
  Emails text[];
  DateStarts timestamp without time zone[];
  
  act bool;
  
BEGIN
  PlcIds="Tepl"."fArr"($1);
  n:=array_upper(PlcIds, 1);   
  ret:='{';     
  if (n>0) THEN
    maxp:=(SELECT max("tsk_id") from "Tepl"."AutoReportTask_cnt")+1;  
    IF maxp IS NULL THEN
		maxp := 1;
	END IF;
	
    RepIds="Tepl"."fArr"($2);
    TypArh="Tepl"."fArr"($3); 
    Directories="Tepl"."fArrText"($4);
    Emails="Tepl"."fArrText"($5);	
    DateStarts="Tepl"."farrTime"($6);
    
    FOR i in 1..n Loop      
  
		INSERT INTO "Tepl"."AutoReportTask_cnt"
		(tsk_id,plc_id,rep_id,typ_arh,directory,emails,aktiv_tsk,date_start)
		VALUES
		(maxp,PlcIds[i],RepIds[i],TypArh[i],Directories[i],Emails[i],true,DateStarts[i]);    
       
      ret:=ret||maxp;
      if i<n then 
        ret=ret||',';
      end if;
      maxp:=maxp+1;
    end Loop;    
  end IF;         
  ret:=ret||'}';
  return ret;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
COST 100;
----------------------------------------------------------------
CREATE OR REPLACE FUNCTION "Tepl"."DeleteAutoReportTasks" (
  ptsk_ids text
)
RETURNS boolean AS
$body$
DECLARE
 tsks integer[];
BEGIN
   tsks="Tepl"."fArr"($1);
  
    /* Удаляем сами узлы */
    Delete from "Tepl"."AutoReportTask_cnt" 
    Where "Tepl"."AutoReportTask_cnt"."tsk_id"=any(tsks);   
  
  return true;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
COST 100;  
---------------------------------------------------------------
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (18, 'Username', 'user');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (19, 'Password', 'ydoglzVOYtkQneh1FRVejKyAC0sY1Jr2qtpdfKRyR3oh4XEXUg/n28WEphDcfPWYaqFSPNBW2/Ymlh5YbpGpnD8f0ytQLekNKRZR8tCdeZbU+NKZ1hpS5py5OWR8thGI');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (20, 'FromAddress', 'you_mail_address@gmail.com');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (21, 'SmtpServer', 'smtp.gmail.com');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (22, 'SmtpPort', '587');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (23, 'EnableSSL', 'True');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (24, 'EnableTLS', 'False');
INSERT INTO "Tepl"."PropertyBD" (prbd_id, "Name", "PropertyValue") VALUES (25, 'TemplatePath', 'C:\inetpub\wwwroot\TVH.WebServer\Templates');

