SET client_encoding = 'UTF8';

ALTER TABLE "Tepl"."AutoReportTask_cnt" ADD COLUMN first_date TIMESTAMP(0) WITHOUT TIME ZONE;
ALTER TABLE "Tepl"."AutoReportTask_cnt" ADD COLUMN last_date TIMESTAMP(0) WITHOUT TIME ZONE;
ALTER TABLE "Tepl"."AutoReportTask_cnt" ADD COLUMN do_date TIMESTAMP(0) WITHOUT TIME ZONE;

DROP FUNCTION "Tepl"."InsertAutoReportTask"(pplc_id text, prep_id text, ptyp_arh text, "pDirectories" text, "pEmails" text, "pDateStarts" text);

CREATE OR REPLACE FUNCTION "Tepl"."InsertAutoReportTask" (
  pplc_id text,
  prep_id text,
  ptyp_arh text,
  "pDirectories" text,
  "pEmails" text,
  "pDateStarts" text,
  "pFirstDates" text,
  "pLastDates" text,
  "pDoDates" text
)
RETURNS text AS
$body$
DECLARE
  i integer;
  n integer;
  maxp integer;  
  ret text; 

  PlcIds INTEGER[];  
  RepIds INTEGER[]; 
  TypArh INTEGER[];  
  Directories text[];
  Emails text[];
  DateStarts timestamp without time zone[];
  FirstDates timestamp without time zone[];
  LastDates timestamp without time zone[];
  DoDates timestamp without time zone[];
  
  act bool;
  
BEGIN
  PlcIds="Tepl"."fArr"($1);
  n:=array_upper(PlcIds, 1);   
  ret:='{';     
  if (n>0) THEN
    maxp:=(SELECT max("tsk_id") from "Tepl"."AutoReportTask_cnt")+1;  
    IF maxp IS NULL THEN
		maxp := 1;
	END IF;
	
    RepIds="Tepl"."fArr"($2);
    TypArh="Tepl"."fArr"($3); 
    Directories="Tepl"."fArrText"($4);
    Emails="Tepl"."fArrText"($5);	
    DateStarts="Tepl"."farrTime"($6);
	FirstDates="Tepl"."farrTime"($7);
	LastDates="Tepl"."farrTime"($8);
	DoDates="Tepl"."farrTime"($9);
    
    FOR i in 1..n Loop      
  
		INSERT INTO "Tepl"."AutoReportTask_cnt"
		(tsk_id,plc_id,rep_id,typ_arh,directory,emails,aktiv_tsk,date_start,first_date,last_date,do_date)
		VALUES
		(maxp,PlcIds[i],RepIds[i],TypArh[i],Directories[i],Emails[i],true,DateStarts[i],FirstDates[i],LastDates[i],DoDates[i]);
       
      ret:=ret||maxp;
      if i<n then 
        ret=ret||',';
      end if;
      maxp:=maxp+1;
    end Loop;    
  end IF;         
  ret:=ret||'}';
  return ret;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
COST 100;