SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9612 AND pr_typ_id <= 9635;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 708 AND gr_typ_id <= 710;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 322;

---- Прибор "Пульсар теплосчётчик M-Bus v8" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (322, 'Пульсар теплосчётчик M-Bus v8', 'Компактный теплосчетчик с интерфейсом M-bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (708, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 322, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (709, 'Информационные', 'Информация о приборе', 322, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9612, 'Дата и время', '', 709, 1, 1, 'D', 322, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9613, 'Серийный номер', '', 709, 1, 1, 'hdr_ident', 322, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9614, 'Код производителя', '', 709, 1, 1, 'hdr_manuf', 322, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9615, 'Версия прибора', '', 709, 1, 1, 'hdr_version', 322, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9616, 'Категория', '', 709, 1, 1, 'hdr_medium', 322, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9617, 'Счетчик доступа', '', 709, 1, 1, 'hdr_access', 322, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9618, 'Статус прибора', '', 709, 1, 1, 'hdr_status', 322, 448);
  -- Добавление параметра прибора "Первичный адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9619, 'Первичный адрес', '', 709, 1, 1, 'NT', 322, 448);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9620, 'Флаги ошибок', '', 709, 1, 1, 'SE', 322, 449);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (710, 'Показания', 'Текущие и архивные показания прибора', 322, 0);

  -- Добавление параметра прибора "Энергия (тепло) [Дж]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9621, 'Энергия (тепло) [Дж]', '', 710, 1, 1, 'E', 322, 393);
  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9622, 'Объем [м3]', '', 710, 1, 1, 'Q', 322, 393);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9623, 'Температура, подача [С]', '', 710, 1, 1, 'TF', 322, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9624, 'Температура, обратка [С]', '', 710, 1, 1, 'TR', 322, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9625, 'Температура, перепад [К]', '', 710, 1, 1, 'TD', 322, 385);
  -- Добавление параметра прибора "Мощность [Дж/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9626, 'Мощность [Дж/ч]', '', 710, 1, 1, 'W', 322, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9627, 'Расход [м3/ч]', '', 710, 1, 1, 'QM', 322, 385);
  -- Добавление параметра прибора "Расход (по энергии) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9628, 'Расход (по энергии) [м3/ч]', '', 710, 1, 1, 'QE', 322, 385);
  -- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9629, 'Импульсный вход 1 [м3]', '', 710, 1, 1, 'Q1', 322, 385);
  -- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9630, 'Импульсный вход 2 [м3]', '', 710, 1, 1, 'Q2', 322, 385);
  -- Добавление параметра прибора "Импульсный вход 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9631, 'Импульсный вход 3 [м3]', '', 710, 1, 1, 'Q3', 322, 385);
  -- Добавление параметра прибора "Импульсный вход 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9632, 'Импульсный вход 4 [м3]', '', 710, 1, 1, 'Q4', 322, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9633, 'Время наработки [ч]', '', 710, 1, 1, 'ON', 322, 385);
  -- Добавление параметра прибора "Время наработки с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9634, 'Время наработки с ошибками [ч]', '', 710, 1, 1, 'OE', 322, 385);
  -- Добавление параметра прибора "Энергия (холод) [Дж]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9635, 'Энергия (холод) [Дж]', '', 710, 1, 1, 'EC', 322, 393);
