SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9694 AND pr_typ_id <= 9721;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 717 AND gr_typ_id <= 719;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 326;

---- Прибор "Пульсар IoT счетчик импульсов 2K v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар IoT счетчик импульсов 2K v1', "Comment" = 'Счетчик импульсов на два канала', "AdditionInfo" = 128 WHERE dev_typ_id = 312;

---- Прибор "Пульсар IoT модуль счетчика воды v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар IoT модуль счетчика воды v1', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 324;

---- Прибор "Пульсар счетчик импульсов 2K v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (326, 'Пульсар счетчик импульсов 2K v1', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (717, 'Каналы', 'Текущие и архивируемые каналы прибора', 326, 0);

  -- Добавление параметра прибора "Объём 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9694, 'Объём 1 [м3]', '', 717, 1, 1, 'K1.F32', 326, 143);
  -- Добавление параметра прибора "Объём 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9695, 'Объём 2 [м3]', '', 717, 1, 1, 'K2.F32', 326, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (718, 'Параметры', 'Настройка прибора', 326, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9696, 'Дата и время', '', 718, 1, 1, 'D', 326, 193);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9697, 'Сетевой адрес', '', 718, 1, 1, '__ADDRESS', 326, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9698, 'Версия ПО', '', 718, 1, 1, '__VERSION_EXTERNAL', 326, 448);
  -- Добавление параметра прибора "Вес импульса канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9699, 'Вес импульса канала 1', '', 718, 1, 1, 'P0003.F32', 326, 192);
  -- Добавление параметра прибора "Вес импульса канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9700, 'Вес импульса канала 2', '', 718, 1, 1, 'P0004.F32', 326, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9701, 'Запись запрещена', '', 718, 1, 1, 'P0005.U8', 326, 448);
  -- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9702, 'Количество сборосв', '', 718, 1, 1, 'P0006.U16', 326, 192);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9703, 'Текущие ошибки', '', 718, 1, 1, 'P0007', 326, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9704, 'Накопленные ошибки', '', 718, 1, 1, 'P0008', 326, 192);
  -- Добавление параметра прибора "Мин. время паузы импульсов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9705, 'Мин. время паузы импульсов', '', 718, 1, 1, 'P000A.U8', 326, 192);
  -- Добавление параметра прибора "Мин. время длительности импульсов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9706, 'Мин. время длительности импульсов', '', 718, 1, 1, 'P000B.U8', 326, 192);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9707, 'RSSI последнего пакета [дБм]', '', 718, 1, 1, 'P000C.S8', 326, 448);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (719, 'Наладка', 'Для наладчиков', 326, 718);

  -- Добавление параметра прибора "Версия ПО (расширенная)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9708, 'Версия ПО (расширенная)', '', 719, 1, 1, '__VERSION_INTERNAL', 326, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9709, 'Напряжение батареи [мВ]. Нижний порог', '', 719, 1, 1, 'P0020.U16', 326, 64);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9710, 'Напряжение батареи [мВ]. Верхний порог', '', 719, 1, 1, 'P0021.U16', 326, 64);
  -- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9711, 'Ёмкость EEPROM [КБ]', '', 719, 1, 1, 'P0022.U8', 326, 64);
  -- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9712, 'Температура среды [C]', '', 719, 1, 1, 'P0040.S8', 326, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9713, 'Напряжение батареи [мВ]', '', 719, 1, 1, 'P0041.U16', 326, 320);
  -- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9714, 'Диагностика прибора', '', 719, 1, 1, 'P0042.U8', 326, 64);
  -- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9715, 'Вывод частоты часового кварца', '', 719, 1, 1, 'P0043.U8', 326, 64);
  -- Добавление параметра прибора "Частота RF кварца [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9716, 'Частота RF кварца [Гц]', '', 719, 1, 1, 'P0023.U32', 326, 64);
  -- Добавление параметра прибора "Конденсаторы RF кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9717, 'Конденсаторы RF кварца', '', 719, 1, 1, 'P0024.U8', 326, 64);
  -- Добавление параметра прибора "Вывод частоты RF кврца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9718, 'Вывод частоты RF кврца', '', 719, 1, 1, 'P0044.U8', 326, 64);
  -- Добавление параметра прибора "Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9719, 'Последняя ошибка RF модуля', '', 719, 1, 1, 'P0045.U8', 326, 64);
  -- Добавление параметра прибора "Мощность RF передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9720, 'Мощность RF передатчика [мВт]', '', 719, 1, 1, 'P0025.U8', 326, 64);
  -- Добавление параметра прибора "Причина сброса MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9721, 'Причина сброса MCU', '', 719, 1, 1, 'P0046', 326, 320);
