SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9952 AND pr_typ_id <= 9970;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 741 AND gr_typ_id <= 742;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 330;

---- Прибор "Multical 602 M-Bus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (330, 'Multical 602 M-Bus', 'Теплосчетчик с интерфейсом M-Bus', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (741, 'Информационные', 'Информация о приборе', 330, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9952, 'Дата и время', '', 741, 1, 1, 'D', 330, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9953, 'Серийный номер', '', 741, 1, 1, 'hdr_ident', 330, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9954, 'Код производителя', '', 741, 1, 1, 'hdr_manuf', 330, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9955, 'Версия прибора', '', 741, 1, 1, 'hdr_version', 330, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9956, 'Категория', '', 741, 1, 1, 'hdr_medium', 330, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9957, 'Счетчик доступа', '', 741, 1, 1, 'hdr_access', 330, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9958, 'Статус прибора', '', 741, 1, 1, 'hdr_status', 330, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (742, 'Показания', 'Текущие и архивные показания прибора', 330, 0);

  -- Добавление параметра прибора "Энергия 1 [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9959, 'Энергия 1 [Вт/ч]', '', 742, 1, 1, 'E1', 330, 385);
  -- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9960, 'Мощность [Вт]', '', 742, 1, 1, 'W', 330, 385);
  -- Добавление параметра прибора "Мощность (макс.) [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9961, 'Мощность (макс.) [Вт]', '', 742, 1, 1, 'WX', 330, 385);
  -- Добавление параметра прибора "Объем 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9962, 'Объем 1 [м3]', '', 742, 1, 1, 'Q1', 330, 385);
  -- Добавление параметра прибора "Расход 1 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9963, 'Расход 1 [м3/ч]', '', 742, 1, 1, 'Q1F', 330, 385);
  -- Добавление параметра прибора "Расход 1 (макс.) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9964, 'Расход 1 (макс.) [м3/ч]', '', 742, 1, 1, 'Q1FX', 330, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9965, 'Температура, подача [С]', '', 742, 1, 1, 'TF', 330, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9966, 'Температура, обратка [С]', '', 742, 1, 1, 'TR', 330, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9967, 'Температура, перепад [К]', '', 742, 1, 1, 'TD', 330, 385);
  -- Добавление параметра прибора "Энергия 2 [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9968, 'Энергия 2 [Вт/ч]', '', 742, 1, 1, 'E2', 330, 385);
  -- Добавление параметра прибора "Энергия 3 [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9969, 'Энергия 3 [Вт/ч]', '', 742, 1, 1, 'E3', 330, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9970, 'Время наработки [ч]', '', 742, 1, 1, 'ON', 330, 385);
