SET client_encoding = 'UTF8';

-- ALTER TABLE "Tepl"."Connect_cnt" DROP COLUMN starter_id;

ALTER TABLE "Tepl"."Connect_cnt" ADD COLUMN starter_id integer;
UPDATE "Tepl"."Connect_cnt"  SET starter_id = 0;
ALTER TABLE "Tepl"."Connect_cnt" ALTER COLUMN starter_id SET NOT NULL;
ALTER TABLE "Tepl"."Connect_cnt" ALTER COLUMN starter_id SET DEFAULT 0;

-- Function: "Tepl"."GetConnect_cnt"(integer)

DROP FUNCTION "Tepl"."GetConnect_cnt"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetConnect_cnt"(pplc_id integer, pstarter_id integer)
  RETURNS TABLE(id integer, name text, comment text, type_id integer, parent_id integer, mobile boolean, starter_id integer) AS
$BODY$
SELECT 
  connects.con_id AS id,
  connects."Name" AS name,        /* Имя соединения */
  connects."Comment" AS comment,  /* Комментарий для соединения */
  connects.typ_con_id AS type_id, /* id типа соединения */
  connects.plc_id AS parent_id,   /* Место установки(присутствия соединения) */
  connects.mobile AS mobile,       /* Принадлежность к мобильному опросу */
  connects.starter_id AS starter_id       /* Принадлежность опросчику */
FROM
  "Tepl"."Connect_cnt" connects
WHERE ($1 <= -1 OR connects.plc_id = $1) AND 
       (connects.con_id >= 0) AND
       (connects.uspd_id < 0) AND
       ((connects.starter_id = $2)or($2 = 0))
ORDER BY connects.plc_id, connects.typ_con_id;
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetConnect_cnt"(integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetConnect_cnt"(integer, integer) IS 'Получение соединений установленных на объектах';


CREATE OR REPLACE FUNCTION "Tepl"."InsertConnect"(pname text, pcomment text, ptyp integer, pplc_id integer, mobile boolean, starterid integer)
  RETURNS integer AS
$BODY$
DECLARE
ret  INTEGER; 
BEGIN
  ret:=(Select max("con_id") from "Tepl"."Connect_cnt")+1; 
  IF ret IS NULL THEN
	ret := 1;
  END IF;
  insert INTO "Tepl"."Connect_cnt"
  (con_id,"Name","Comment",typ_con_id,plc_id,uspd_id,mobile, starter_id)
  VALUES
  (ret,$1,$2,$3,$4,-1,$5, $6);
  return ret;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."InsertConnect"(text, text, integer, integer, boolean)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."InsertConnect"(text, text, integer, integer, boolean) IS 'Вставка нового соединения на объект';


CREATE OR REPLACE FUNCTION "Tepl"."UpdateConnect_cnt"(pname text, pcomment text, ptyp integer, pplc_id integer, pcon_id integer, mobile boolean, starterid integer)
  RETURNS boolean AS
$BODY$
BEGIN
  UPDATE "Tepl"."Connect_cnt"
  set "Name"=$1, "Comment"=$2, typ_con_id=$3, plc_id=$4, mobile=$6, starter_id=$7
  Where con_id=$5;    
  return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."UpdateConnect_cnt"(text, text, integer, integer, integer, boolean, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."UpdateConnect_cnt"(text, text, integer, integer, integer, boolean, integer) IS 'Изменение соединения на объекте

Внимание!!!
При изменении типа соединения необходимо дополнительно переделать свойства конфигураций!!!';