SET client_encoding = 'UTF8';


DROP FUNCTION "Tepl"."GetUSPDConnect_cnt"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."GetUSPDConnect_cnt"(IN puspd_id integer, pstarter_id integer)
  RETURNS TABLE(id integer, name text, comment text, type_id integer, parent_id integer, mobile boolean, starter_id integer) AS
$BODY$
SELECT 
  connects.con_id AS id,
  connects."Name" AS name,        /* Имя соединения */
  connects."Comment" AS comment,  /* Комментарий для соединения */
  connects.typ_con_id AS type_id, /* id типа соединения */
  connects.plc_id AS parent_id,   /* Место установки(присутствия соединения) */
  connects.mobile AS mobile,       /* Принадлежность к мобильному опросу */
  connects.starter_id AS starter_id     /* Принадлежность опросчику */
FROM
  "Tepl"."Connect_cnt" connects
WHERE ($1 <= -1 OR connects.uspd_id = $1) AND 
       (connects.con_id >= 0) AND
		((connects.starter_id = $2)or($2 = 0))
ORDER BY connects.plc_id, connects.typ_con_id;
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetUSPDConnect_cnt"(integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetUSPDConnect_cnt"(integer, integer) IS 'Получение соединений установленных на УСПД';



DROP FUNCTION "Tepl"."UpdateConnect_cnt_USPD"(text, text, integer, integer, integer, integer);

CREATE OR REPLACE FUNCTION "Tepl"."UpdateConnect_cnt_USPD"(pname text, pcomment text, ptyp integer, pplc_id integer, pcon_id integer, puspd_id integer, starter_id integer)
  RETURNS boolean AS
$BODY$
/*Имена []*/
/*Комментарии []*/
/*id типов соединений []*/
/*id мест владельцев[]*/
/*id самихи редактируемых []*/
/*id УСПД */
/*id опросчика */
DECLARE
  
BEGIN
  UPDATE "Tepl"."Connect_cnt"
  set "Name"=$1, "Comment"=$2, typ_con_id=$3, plc_id=$4, uspd_id=$6, starter_id = $7
  Where con_id=$5;    
  return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."UpdateConnect_cnt_USPD"(text, text, integer, integer, integer, integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."UpdateConnect_cnt_USPD"(text, text, integer, integer, integer, integer, integer) IS 'Изменение соединения на УСПД (может быть использовано и для случая на объекте, тогда uspd_id =-1)

Внимание!!!
При изменении типа соединения необходимо дополнительно переделать свойства конфигураций!!!';



 DROP FUNCTION "Tepl"."InsertConnect_USPD"(text, text, integer, integer, integer);

CREATE OR REPLACE FUNCTION "Tepl"."InsertConnect_USPD"(pname text, pcomment text, ptyp integer, pplc_id integer, puspd_id integer, starter_id integer)
  RETURNS integer AS
$BODY$
DECLARE
ret  INTEGER; 
BEGIN
  ret:=(Select max("con_id") from "Tepl"."Connect_cnt")+1; 
  IF ret IS NULL THEN
		ret := 1;
  END IF;
  insert INTO "Tepl"."Connect_cnt"
  (con_id,"Name","Comment",typ_con_id,plc_id,uspd_id, starter_id)
  VALUES
  (ret,$1,$2,$3,$4,$5,$6);
  return ret;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."InsertConnect_USPD"(text, text, integer, integer, integer, integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."InsertConnect_USPD"(text, text, integer, integer, integer, integer) IS 'Вставка нового соединения в УСПД';



