SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11327 AND pr_typ_id <= 11339;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 840 AND gr_typ_id <= 842;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 357;

---- Прибор "Пульс СТК-М" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (357, 'Пульс СТК-М', 'Компактный теплосчетчик с интерфейсом M-bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (840, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 357, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (841, 'Информационные', 'Информация о приборе', 357, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11336, 'Серийный номер', '', 841, 1, 1, 'hdr_ident', 357, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11337, 'Код производителя', '', 841, 1, 1, 'hdr_manuf', 357, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11338, 'Версия прибора', '', 841, 1, 1, 'hdr_version', 357, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11339, 'Категория', '', 841, 1, 1, 'hdr_medium', 357, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11327, 'Счетчик доступа', '', 841, 1, 1, 'hdr_access', 357, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11328, 'Статус прибора', '', 841, 1, 1, 'hdr_status', 357, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (842, 'Показания', 'Текущие и архивные показания прибора', 357, 0);

  -- Добавление параметра прибора "Энергия [Вт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11329, 'Энергия [Вт*ч]', '', 842, 1, 1, 'E', 357, 385);
  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11330, 'Объем [м3]', '', 842, 1, 1, 'Q', 357, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11331, 'Температура, подача [С]', '', 842, 1, 1, 'TF', 357, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11332, 'Температура, обратка [С]', '', 842, 1, 1, 'TR', 357, 385);
  -- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11333, 'Мощность [Вт]', '', 842, 1, 1, 'W', 357, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11334, 'Расход [м3/ч]', '', 842, 1, 1, 'QM', 357, 385);
  -- Добавление параметра прибора "Дата/время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11335, 'Дата/время', '', 842, 1, 1, 'D', 357, 385);