-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';


CREATE TABLE "Tepl".data_tab
(
  data_id integer NOT NULL,
  data text, -- Бинарные данные
  pr_id integer, -- id свойства места  владельца данных
  CONSTRAINT d_id PRIMARY KEY (data_id )
)
WITH (
  OIDS=FALSE
);
ALTER TABLE "Tepl".data_tab
  OWNER TO postgres;
COMMENT ON TABLE "Tepl".data_tab
  IS 'Бинарные данные свойства места';
COMMENT ON COLUMN "Tepl".data_tab.data IS 'Бинарные данные';
COMMENT ON COLUMN "Tepl".data_tab.pr_id IS 'id свойства места  владельца данных';


CREATE OR REPLACE FUNCTION "Tepl"."Delete_data_tab"(pr_id integer)
  RETURNS boolean AS
$BODY$
DECLARE
 
BEGIN

Delete From 
  "Tepl".data_tab  
WHERE 
  "Tepl".data_tab.pr_id = $1
;

return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."Delete_data_tab"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."Delete_data_tab"(integer) IS 'Удаление файла хранимого в свойстве';





CREATE OR REPLACE FUNCTION "Tepl"."DeletePlaces"(pplc_ids text)
  RETURNS boolean AS
$BODY$
DECLARE
 i integer;
 n integer;
 splace_id Text; 
 fdel boolean;    
 v text;
 pr_id text;
 plc "Tepl"."Places_cnt"%ROWTYPE; 
 pr "Tepl"."ParamResPlc_cnt"%ROWTYPE;    
 con "Tepl"."Connect_cnt"%ROWTYPE;   
 usp "Tepl"."USPD_cnt"%ROWTYPE;    
 plcs integer[];
BEGIN
   plcs="Tepl"."fArr"($1);
   FOR plc in SELECT * FROM "Tepl"."Places_cnt" Where "Tepl"."Places_cnt".place_id=any(plcs) Loop
      /*Удаляем дочерних если есть */
      splace_id:=plc.plc_id;
      fdel:= "Tepl"."DeletePlaces"(splace_id);
    end Loop;   
    
    /*Удаляем параметры ресурсов прикреплённые к мету*/   
   pr_id='';
    FOR pr in SELECT * FROM "Tepl"."ParamResPlc_cnt" Where "Tepl"."ParamResPlc_cnt".plc_id=any(plcs) Loop      
      v:=pr."prp_id";
      pr_id:=pr_id||v||chr(3);
    end Loop;
    pr_id=pr_id||'-100'; 
    fdel:="Tepl"."DeleteParemResPlc"(pr_id); 

    /*Файлов хранящихся в свойствах мест */
    Delete from "Tepl".data_tab
    where "Tepl".data_tab.pr_id=any(select "Tepl"."PropPlc_cnt".pr_id from "Tepl"."PropPlc_cnt" 
    Where "Tepl"."PropPlc_cnt"."plc_id"=any(plcs));
    
    /*Удаляем свойства узлов*/
    Delete from "Tepl"."PropPlc_cnt" 
    Where "Tepl"."PropPlc_cnt"."plc_id"=any(plcs); 
    
    /*Удаляем Соединения принадлежащие местам*/
    FOR con in SELECT * FROM "Tepl"."Connect_cnt" Where "Tepl"."Connect_cnt".plc_id=any(plcs) Loop      
      fdel:="Tepl"."DeleteConnect"(con.Con_id);
    end Loop;
    /*Удаляем УСПД на объекте*/                                          
    FOR usp in SELECT * FROM "Tepl"."USPD_cnt" Where "Tepl"."USPD_cnt".plc_id=any(plcs) Loop      
      fdel:="Tepl"."DeleteUspd"(usp.usp_id);
    end Loop;
  
    /*Удаляем сами узелы*/
    Delete from "Tepl"."Places_cnt" 
    Where "Tepl"."Places_cnt"."plc_id"=any(plcs); 

    /*Удаляем места из таблицы привязанных шаблонов*/
    Delete from "Tepl"."PaternToPlcID" 
    Where "Tepl"."PaternToPlcID"."plc_id"=any(plcs); 
    
  
  return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."DeletePlaces"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeletePlaces"(text) IS 'Удаление мест';



CREATE OR REPLACE FUNCTION "Tepl"."DeletePropPlc"(ppr_id text)
  RETURNS boolean AS
$BODY$
DECLARE
  prs integer[];
BEGIN
    /*Удаляем свойства узлов*/
    prs="Tepl"."fArr"($1);
    Delete from "Tepl"."PropPlc_cnt" 
    Where "Tepl"."PropPlc_cnt"."pr_id"=any(prs);  

    /*Файлов хранящихся в свойствах мест */
    Delete from "Tepl".data_tab
    where "Tepl".data_tab.pr_id=any(prs);
    
    return true;                                             
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."DeletePropPlc"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeletePropPlc"(text) IS 'Удаление свойств мест';


CREATE OR REPLACE FUNCTION "Tepl"."Update_data_tab"(pr_id integer, data text)
  RETURNS boolean AS
$BODY$
DECLARE
 id integer;
 data_id_max integer;
BEGIN
 id = (select t.pr_id from  "Tepl".data_tab t where t.pr_id = $1);
 IF id IS NULL THEN
     /*Вставляем новое свойство */	  
     data_id_max = (Select max(t."data_id") from "Tepl".data_tab t)+1; 
     IF data_id_max IS NULL THEN
		data_id_max := 1;  
     end if;
     INSERT INTO "Tepl".data_tab 
     (data_id, pr_id, data)      
     VALUES
    (data_id_max,$1,$2);  

     return true;
 end if;

/*Изменяем существующие*/
UPDATE 
  "Tepl".data_tab 
SET 
  data = $2
WHERE 
  "Tepl".data_tab.pr_id = id
;

return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."Update_data_tab"(integer, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."Update_data_tab"(integer, text) IS 'Изменеие/вставка файла хранимого в свойстве';


