SET client_encoding = 'WIN1251';

CREATE OR REPLACE FUNCTION "Tepl"."InsertAnalyticRanges" (prange_typ text, "pName" text, "pMinimum" text, "pMaximum" text, "pContract" text) RETURNS text AS
$body$
DECLARE
  ret text;
  types integer[];
  names text[];
  minimums double precision[];
  maximums double precision[];
  contracts double precision[];    
  i integer;
  n integer; 
  maxp integer; 
BEGIN
    ret:='{';
	maxp:=(SELECT  max("range_id") from "Tepl"."AnalyticRanges")+1;  
    IF maxp IS NULL THEN
		maxp := 1;
	END IF;
	
    types="Tepl"."fArr"($1);
    names="Tepl"."fArrText"($2);
    minimums="Tepl"."fArrDoublePressis"($3);
    maximums="Tepl"."fArrDoublePressis"($4); 
    contracts="Tepl"."fArrDoublePressis"($5);

	n:=array_upper(types,1);
	
	ret := '{';
        
	FOR i in 1..n Loop 
      INSERT INTO "Tepl"."AnalyticRanges"
      ("range_id", "range_typ", "Name", "Minimum", "Maximum", "Contract")
      Values
      (maxp, types[i], names[i], minimums[i], maximums[i], contracts[i]);
      ret=ret||maxp;
      if i<n then 
      	ret=ret||',';
      end if;
      maxp:=maxp+1;  
    end loop;     
    ret = ret||'}';
    return ret;
END;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;