SET client_encoding = 'WIN1251';



CREATE OR REPLACE FUNCTION "Tepl"."UpdateAnalyticRanges" (prange_typ text, "pName" text, "pMinimum" text, "pMaximum" text, "pContract" text, prange_id text) RETURNS boolean AS
$body$
DECLARE
  range_ids integer[];
  types integer[];
  names text[];
  minimums double precision[];
  maximums double precision[];
  contracts double precision[]; 
  i integer;
  n integer; 
BEGIN
  types="Tepl"."fArr"($1);
  n:=array_upper(types,1); 
	
  if n>0 THEN  
    names="Tepl"."fArrText"($2);
    minimums="Tepl"."fArrDoublePressis"($3);
    maximums="Tepl"."fArrDoublePressis"($4); 
    contracts="Tepl"."fArrDoublePressis"($5);
	range_ids="Tepl"."fArr"($6);
	
    FOR i in 1..n Loop 
      UPDATE "Tepl"."AnalyticRanges"
      SET "Name"=names[i], "Minimum"=minimums[i], "Maximum"=maximums[i], "Contract"=contracts[i], range_typ=types[i]
      Where range_id=range_ids[i];
    end loop;
  end if;    
  return TRUE;
END;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;

COMMENT ON FUNCTION "Tepl"."UpdateAnalyticRanges"(prange_typ text, "pName" text, "pMinimum" text, "pMaximum" text, "pContract" text, prange_id text)
IS '  ';