-- Function: "Tepl"."DeleteParemResPlc"(text)

-- DROP FUNCTION "Tepl"."DeleteParemResPlc"(text);

CREATE OR REPLACE FUNCTION "Tepl"."DeleteParemResPlc"(pprp_id text)
  RETURNS boolean AS
$BODY$
DECLARE
 sens "Tepl"."Sensor_cnt"%ROWTYPE;
 delsen Text; 
 prs integer[];
BEGIN
  prs="Tepl"."fArr"($1);
  /*Удаляем архивы параметров */
  DELETE FROM "Tepl"."Arhiv_cnt"
  Where "pr_id"=ANY(prs);
  /*Удаляем архивы нештатных ситуаций считываемых из прибора */  
  DELETE FROM "Tepl"."DeviceContingencyArhiv_cnt"
  Where "pr_id"=ANY(prs);
  /*Удаляем задания связанные с этим параметром*/
  DELETE FROM "Tepl"."Task_cnt"
  Where "prp_id"=ANY(prs);                                                   
  /*Удаляем задания связанные с этим параметром*/
  DELETE FROM "Tepl"."TaskArhivUSPD_cnt"
  Where "prp_id"=ANY(prs);  
  /*Удаляем событие связанное с этим параметром ресурса*/
  Delete From "Tepl"."EventTab"
  Where "prp_id"=ANY(prs);
  /*Удаляем точки инфу по чтению точек учёта*/
  DELETE FROM "Tepl"."PointRead"
  Where "prp_id"=ANY(prs);
  /*Удаляем привязки к группам пользователей*/
  DELETE FROM "Tepl"."ParamResGroupRelations"
  Where "prp_id"=ANY(prs);  
  /*Удаляем свойства счётчиков привязанных к точкам*/          
  FOR sens in Select * From "Tepl"."Sensor_cnt" where "prp_id"=ANY(prs) Loop
    Delete From "Tepl"."Sensor_Property"
    WHERE "s_id"=sens."s_id";    
  end Loop;
  /*Удаляем все счётчики привязанные к параметру*/    
  DELETE FROM "Tepl"."Sensor_cnt"
  Where "prp_id"=ANY(prs);
  
  Delete From "Tepl"."RangesToParam" where  prp_id=ANY(prs);

 /*Удаляем Архивы НС */
  Delete From "Tepl"."DeviceContingencyArhiv_cnt" where pr_id=ANY(prs);

  /*Удаляем журналы событий электросчётчиков. Можно было бы  смотреть что это именно журнал ... не факт что быстрее получится */
  DELETE FROM "Tepl"."Journal_cnt"  WHERE pr_id= ANY(prs);
  
  /*Удаляем сам параметр*/
  Delete From "Tepl"."ParamResPlc_cnt"
  WHERE "prp_id"=ANY(prs); 
	
   return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."DeleteParemResPlc"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteParemResPlc"(text) IS 'Удаление параметра ресурса';
