SET client_encoding = 'WIN1251';

CREATE OR REPLACE FUNCTION "Tepl"."fArr"(t text)
  RETURNS integer[] AS
$BODY$
DECLARE
  ch INTEGER[];
BEGIN
  if($1='') then return ch='{}'; end if;
  
  ch=regexp_split_to_array(t, E'\['||chr(3)||']');   
  return ch;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."fArr"(text)
  OWNER TO postgres;



CREATE OR REPLACE FUNCTION "Tepl"."fArrText"(t text)
  RETURNS text[] AS
$BODY$
DECLARE
  ch TEXT[];
  n integer;
  i integer;
BEGIN
  ch=regexp_split_to_array($1, E'\['||chr(3)||']');    
  n=array_upper(ch,1);
  FOR i in 1..n Loop
    if(ch[i]='Nil') THEN
      ch[i]=NULL;
    end if;
  end loop;
  return ch;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."fArrText"(text)
  OWNER TO postgres;


CREATE OR REPLACE FUNCTION "Tepl"."GetEvent"(ppr_id text)
  RETURNS SETOF "Tepl"."EventTab" AS
$BODY$
Declare 
  et "Tepl"."EventTab";
  plcs integer[];
Begin
  plcs:="Tepl"."fArr"($1);
  FOR et in SELECT 
			  	"Tepl"."EventTab".ev_id,  /*id */     
  				"Tepl"."EventTab".ev_pat_id, /*id   */
 				"Tepl"."ParamResPlc_cnt".prp_id, /*id   */
  				"Tepl"."EventTab"."Comment",
  				"Tepl"."EventTab"."AutoStart",/* */
  				"Tepl"."EventTab"."OnArhivs" /*  */
			FROM
  				"Tepl"."EventTab"
			INNER JOIN "Tepl"."ParamResPlc_cnt" ON ("Tepl"."EventTab".prp_id = "Tepl"."ParamResPlc_cnt".prp_id)
			Where (("Tepl"."ParamResPlc_cnt"."plc_id"=ANY(plcs))OR($1='{-1}'))
        Loop
     RETURN NEXT et;
  end loop;          
  
end;
$BODY$
  LANGUAGE plpgsql VOLATILE;
--  COST 100
--  ROWS 1000;
ALTER FUNCTION "Tepl"."GetEvent"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetEvent"(text) IS '    id ';
