SET client_encoding = 'WIN1251';

-- Function: "Tepl"."DeletePlaces"(text)

-- DROP FUNCTION "Tepl"."DeletePlaces"(text);

CREATE OR REPLACE FUNCTION "Tepl"."DeletePlaces"(pplc_ids text)
  RETURNS boolean AS
$BODY$
DECLARE
 i integer;
 n integer;
 splace_id Text; 
 fdel boolean;    
 v text;
 pr_id text;
 plc "Tepl"."Places_cnt"%ROWTYPE; 
 pr "Tepl"."ParamResPlc_cnt"%ROWTYPE;    
 con "Tepl"."Connect_cnt"%ROWTYPE;   
 usp "Tepl"."USPD_cnt"%ROWTYPE;    
 plcs integer[];
BEGIN
   plcs="Tepl"."fArr"($1);
   FOR plc in SELECT * FROM "Tepl"."Places_cnt" Where "Tepl"."Places_cnt".place_id=any(plcs) Loop
      /*    */
      splace_id:=plc.plc_id;
      fdel:= "Tepl"."DeletePlaces"(splace_id);
    end Loop;   
    
    /*     */   
   pr_id='';
    FOR pr in SELECT * FROM "Tepl"."ParamResPlc_cnt" Where "Tepl"."ParamResPlc_cnt".plc_id=any(plcs) Loop      
      v:=pr."prp_id";
      pr_id:=pr_id||v||chr(3);
    end Loop;
    pr_id=pr_id||'-100'; 
    fdel:="Tepl"."DeleteParemResPlc"(pr_id); 
    
    /*  */
    Delete from "Tepl"."PropPlc_cnt" 
    Where "Tepl"."PropPlc_cnt"."plc_id"=any(plcs); 
    
    /*   */
    FOR con in SELECT * FROM "Tepl"."Connect_cnt" Where "Tepl"."Connect_cnt".plc_id=any(plcs) Loop      
      fdel:="Tepl"."DeleteConnect"(con.Con_id);
    end Loop;
    /*   */                                          
    FOR usp in SELECT * FROM "Tepl"."USPD_cnt" Where "Tepl"."USPD_cnt".plc_id=any(plcs) Loop      
      fdel:="Tepl"."DeleteUspd"(usp.usp_id);
    end Loop;
  
    /*  */
    Delete from "Tepl"."Places_cnt" 
    Where "Tepl"."Places_cnt"."plc_id"=any(plcs); 
    
  
  return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."DeletePlaces"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeletePlaces"(text) IS ' ';


-- Function: "Tepl"."DeletePlaceType"(text)

-- DROP FUNCTION "Tepl"."DeletePlaceType"(text);

CREATE OR REPLACE FUNCTION "Tepl"."DeletePlaceType"(ptyps text)
  RETURNS boolean AS
$BODY$
DECLARE
 plcs "Tepl"."Places_cnt"%ROWTYPE;  
 delplc text;  
 b bool;    
 typs integer[];
BEGIN
  typs="Tepl"."fArr"($1);
/*    */
  FOR plcs in Select * From "Tepl"."Places_cnt" where "typ_id"=ANY(typs) Loop
    delplc=plcs.plc_id;
    b:="Tepl"."DeletePlaces"(delplc);
  end Loop;
  
  /*  */
  Delete from "Tepl"."PropTypPlc"
  Where "typ_id"=ANY(typs);  
  
  /*  */
  Delete from "Tepl"."PlaceTyp_cnt"
  Where "typ_id"=ANY(typs);
     
  
  
  return true; 
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."DeletePlaceType"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeletePlaceType"(text) IS '  ';




-- Function: "Tepl"."DeleteMasterRelation"(integer)

-- DROP FUNCTION "Tepl"."DeleteMasterRelation"(integer);

CREATE OR REPLACE FUNCTION "Tepl"."DeleteMasterRelation"(prp_id_master integer)
  RETURNS void AS
$BODY$
DECLARE
 s text;
BEGIN
	s:= $1;
    EXECUTE "Tepl"."DeleteMasterRelations"(s);
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."DeleteMasterRelation"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteMasterRelation"(integer) IS '   ,      ';


